<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_foot_nav extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('foots_nav_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index(){
		$data['posts']=$this->foots_nav_ad_model->get_posts();
		$this->load->view('admin/foot_nav/manage', $data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function add()
	{
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/foot_nav/add', $data);
		$level = $this->foots_nav_ad_model->get_level();
		if($level[0]['menulevel']==NULL){
			$level = 1;
		}
		else{
			$level = $level[0]['menulevel']+1;
		}

		if(isset($_POST['add_sbmt'])){

			$data=array(
				'title'=>$_POST['name'],
				'title_eng'=>$_POST['name_eng'],
				'footer_id'=>$this->session->userdata('footer'),
				'menulevel'=>$level
			);
			$content_id = $this->foots_nav_ad_model->insert($data);
			$this->foots_nav_ad_model->insert_content(array('cat_id' =>$content_id));
			

			redirect(base_url().'admin/manage_foot_nav');

		}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit()
	{
		$uId = $this->uri->segment(4);		
		$data['rows']=$this->foots_nav_ad_model->get_post($uId);
		$this->load->view('admin/foot_nav/edit', $data);

		if(isset($_POST['edit_sbmt'])){
		
			$data=array(
				'title'=>$_POST['name'],
				'title_eng'=>$_POST['name_eng']
			);

			$this->foots_nav_ad_model->update($uId,$data);
			redirect(base_url().'admin/manage_foot_nav');

		}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){
		$this->foots_nav_ad_model->sort_up($id);
		redirect(base_url().'admin/manage_foot_nav');
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->foots_nav_ad_model->sort_down($id);
		redirect(base_url().'admin/manage_foot_nav');
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete()
	{
		$uId = $this->uri->segment(4);
		$this->foots_nav_ad_model->delete($uId);
		redirect(base_url().'admin/manage_foot_nav');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}