<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Main extends CI_Controller {

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    function __construct()
    {
        parent::__construct();
        $this->load->model('announce_ad_model');
       
        if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
    }

    function index()
    {
        // check announces
        $data = $this->announce_ad_model->get_all_announces();
        foreach ($data as  $value) {
            $this->announce_ad_model->check_announce($value->enddate, $value->uId);
        }
        // end checking
        $this->load->view('admin/index');
    }

  
	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    function change_lang(){

    	if ($this->session->all_userdata()["lang"] == '1'){
    		$this->session->set_userdata("lang", 2);
    		$this->session->set_userdata("langName", "English");
    	}else{
    		$this->session->set_userdata("lang", 1);
    		$this->session->set_userdata("langName", "Georgian");
    	}
    	redirect($_SERVER['HTTP_REFERER']);

    }

    //--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

}