<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_contact extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('contact_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index()
	{
		$data['rows']=$this->contact_ad_model->get_posts();
		$this->load->view('admin/contact/manage',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function add()
	{
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/contact/add', $data);

		if(isset($_POST['add_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();

			foreach($langs as $lang){

			$data=array(
				'uid' =>$uId,
				'address'=>$_POST['address-'.$lang["lang"]],
				'phone'=>$_POST['phone'],
				'fax'=>$_POST['fax'],
				'mail'=>$_POST['mail'],
				'onMap'=>$_POST['onMap'],
				'coordx'=>$_POST['coordx'],
				'coordy'=>$_POST['coordy'],
				'link'=>$_POST['link'],
				'isactive'=>$_POST['isactive'],
				'lang'=>$lang["langID"]
			);
			$this->contact_ad_model->insert($data);

			}

			redirect(base_url().'admin/manage_contact');
		}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit()
	{
		$uId = $this->uri->segment(4);
		$data['rows']=$this->contact_ad_model->get_post($uId);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/contact/edit', $data);

		if(isset($_POST['edit_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();

			foreach($langs as $lang){

			$data=array(
				'address'=>$_POST['address-'.$lang["lang"]],
				'phone'=>$_POST['phone'],
				'fax'=>$_POST['fax'],
				'mail'=>$_POST['mail'],
				'onMap'=>$_POST['onMap'],
				'coordx'=>$_POST['coordx'],
				'coordy'=>$_POST['coordy'],
				'link'=>$_POST['link'],
				'isactive'=>$_POST['isactive'],
				'lang'=>$lang["langID"]
			);
			$this->contact_ad_model->update($uId,$lang['langID'],$data);

			}

			redirect(base_url().'admin/manage_contact');
		}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete()
	{
		$uId = $this->uri->segment(4);
		$this->contact_ad_model->delete($uId);
		redirect(base_url().'admin/manage_contact');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}