<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_institute_news_cat extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('institutes_news_cat_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index()
	{
		$data['rows']=$this->institutes_news_cat_ad_model->get_posts();
		$this->load->view('admin/institute_news_cat/manage',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function set_session($id){
		$this->session->set_userdata('institute_news_cat',$id);
		redirect(base_url()."admin/manage_institute_news");
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function add()
	{
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/institute_news_cat/add', $data);

		if(isset($_POST['add_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();

			foreach($langs as $lang){

				$data=array(
					'uid' =>$uId,
					'name'=>$_POST['name-'.$lang["lang"]],
					'isactive'=>$_POST['isactive'],
					'lang' => $lang["langID"],
					'institute_id' => $this->session->userdata('institute_id')
				);
				$this->institutes_news_cat_ad_model->insert($data);

			}
			
			redirect(base_url().'admin/manage_institute_news_cat');
		}

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit(){
		$uId = $this->uri->segment(4);

		if(isset($_POST['edit_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();

			foreach($langs as $lang){

			$data=array(
				'name'=>$_POST['name-'.$lang["lang"]],
				'isactive'=>$_POST['isactive'],
				'lang' => $lang["langID"],
				'institute_id' => $this->session->userdata('institute_id')
			);
			$this->institutes_news_cat_ad_model->update($uId,$lang['langID'],$data);

			}

			redirect(base_url().'admin/manage_institute_news_cat');
		}

		$data['rows']=$this->institutes_news_cat_ad_model->get_post($uId);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/institute_news_cat/edit', $data);

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete(){
		$uId = $this->uri->segment(4);
		$this->institutes_news_cat_ad_model->delete($uId);
		redirect(base_url().'admin/manage_institute_news_cat');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}