<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_institutes extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('institutes_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index(){
		$data['posts'] = $this->institutes_ad_model->get_posts();
		$this->load->view('admin/institutes/manage',$data);
	}

	//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function set_session($id){
		$this->session->set_userdata('institute_id',$id);
		redirect(base_url()."admin/manage_institute");
	}
	//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function add()	{

		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/institutes/add', $data);

		$level = $this->institutes_ad_model->get_level();
		if($level[0]['level']==NULL){
			$level = 1;
		}
		else{
			$level = $level[0]['level']+1;
		}

		if(isset($_POST['add_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();

			foreach($langs as $lang){

			$data=array(
				'uid' =>$uId,
				'title'=>$_POST['name-'.$lang["lang"]],
				'img'=>$_POST['ImagePath'],
				'level'=>$level,
				'isactive'=>$_POST['isactive'],
				'lang'=>$lang["langID"]
			);
			$instituteid = $this->institutes_ad_model->insert($data);

			}
			$instituteid = $this->institutes_ad_model->get_post_by_id($instituteid);
			$instituteid = $instituteid[0]['uId'];
			$this->load->model('institute_ad_model');
			$data2 = array('institute_id'=>$instituteid);
			$this->institute_ad_model->insert($data2);

			redirect(base_url().'admin/manage_institutes');

		}
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit()	{
		$uId = $this->uri->segment(4);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$data['rows']=$this->institutes_ad_model->get_post($uId);
		$this->load->view('admin/institutes/edit', $data);

		if(isset($_POST['edit_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();

			foreach($langs as $lang){

			$data=array(
				'title'=>$_POST['name-'.$lang["lang"]],
				'img'=>$_POST['ImagePath'],
				'isactive'=>$_POST['isactive'],
				'lang'=>$lang["langID"]
			);
			$this->institutes_ad_model->update($uId,$lang['langID'],$data);

			}

			redirect(base_url().'admin/manage_institutes');

		}
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){
		$this->institutes_ad_model->sort_up($id);
		redirect(base_url().'admin/manage_institutes');
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->institutes_ad_model->sort_down($id);
		redirect(base_url().'admin/manage_institutes');
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete(){
		$uId = $this->uri->segment(4);
		$this->institutes_ad_model->delete($uId);
		$this->load->model('institute_ad_model');
		$this->institute_ad_model->delete($uId);
		redirect(base_url().'admin/manage_institutes');
	}
	

}