<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_school_personal_cat extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('school_personal_cat_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index()
	{
		
		$data['rows']=$this->school_personal_cat_model->get_posts();
		$this->load->view('admin/school_personals/manage',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function set_session($id){
		$this->session->set_userdata('personal_cat',$id);
		redirect(base_url()."admin/manage_school_personal_prof");
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function add()
	{
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/school_personals/add', $data);

		$level = $this->school_personal_cat_model->get_level();
		if($level[0]['level']==NULL){
			$level = 1;
		}
		else{
			$level = $level[0]['level']+1;
		}

		if(isset($_POST['add_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();

			foreach($langs as $lang){

				$data=array(
					'uid' =>$uId,
					'level' =>$level,
					'name'=>$_POST['name-'.$lang["lang"]],
					'isactive'=>$_POST['isactive'],
					'lang' => $lang["langID"],
					'school_id'=> $this->session->userdata('school_id')
				);
				$this->school_personal_cat_model->insert($data);

			}
			
			redirect(base_url().'admin/manage_school_personal_cat');
		}

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit(){
		$uId = $this->uri->segment(4);

		if(isset($_POST['edit_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();

			foreach($langs as $lang){

			$data=array(
				'name'=>$_POST['name-'.$lang["lang"]],
				'isactive'=>$_POST['isactive'],
				'lang' => $lang["langID"],
				'school_id' => $this->session->userdata('school_id')
			);
			$this->school_personal_cat_model->update($uId,$lang['langID'],$data);

			}

			redirect(base_url().'admin/manage_school_personal_cat');
		}

		$data['rows']=$this->school_personal_cat_model->get_post($uId);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/school_personals/edit', $data);

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){
		$this->school_personal_cat_model->sort_up($id);
		redirect(base_url().'admin/manage_school_personal_cat');
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->school_personal_cat_model->sort_down($id);
		redirect(base_url().'admin/manage_school_personal_cat');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete(){
		$uId = $this->uri->segment(4);
		$this->school_personal_cat_model->delete($uId);
		redirect(base_url().'admin/manage_school_personal_cat');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}