<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_vgallery_cat extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('vgallery_cat_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index()
	{
		$data['rows']=$this->vgallery_cat_ad_model->get_posts();
		$this->load->view('admin/vgallery_cat/manage',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function set_session($id){
		$this->session->set_userdata('vgallery_cat',$id);
		redirect(base_url()."admin/manage_vgallery");
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function add()
	{
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/vgallery_cat/add', $data);

		$level = $this->vgallery_cat_ad_model->get_level();
		if($level[0]['level']==NULL){
			$level = 1;
		}
		else{
			$level = $level[0]['level']+1;
		}

		if(isset($_POST['add_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();

			foreach($langs as $lang){

				$data=array(
					'uid' =>$uId,
					'name'=>$_POST['name-'.$lang["lang"]],
					'isactive'=>$_POST['isactive'],
					'level'=>$level,
					'lang' => $lang["langID"]
				);
				$this->vgallery_cat_ad_model->insert($data);

			}
			
			redirect(base_url().'admin/manage_vgallery_cat');
		}

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit(){
		$uId = $this->uri->segment(4);

		if(isset($_POST['edit_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();

			foreach($langs as $lang){

			$data=array(
				'name'=>$_POST['name-'.$lang["lang"]],
				'isactive'=>$_POST['isactive'],
				'lang' => $lang["langID"]
			);
			$this->vgallery_cat_ad_model->update($uId,$lang['langID'],$data);

			}

			redirect(base_url().'admin/manage_vgallery_cat');
		}

		$data['rows']=$this->vgallery_cat_ad_model->get_post($uId);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/vgallery_cat/edit', $data);

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function sort_up($id){
		$this->vgallery_cat_ad_model->sort_up($id);
		redirect(base_url().'admin/manage_vgallery_cat');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function sort_down($id){
		$this->vgallery_cat_ad_model->sort_down($id);
		redirect(base_url().'admin/manage_vgallery_cat');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete(){
		$uId = $this->uri->segment(4);
		$this->vgallery_cat_ad_model->delete($uId);
		redirect(base_url().'admin/manage_vgallery_cat');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}