<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Contact extends CI_Controller {

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct(){
		parent::__construct();
		$this->load->model(array('main_view_model'));
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index(){

		if(isset($_POST['sendMail'])){
			$name = $this->input->post("name");
			$email = $this->input->post("email");
			$subject = $this->input->post("subject");
			$msg = $this->input->post("msg");


			$this->load->library('email');
			$this->email->from($email);
			$this->email->to('info@gruni.edu.ge'); 

			$this->email->subject($subject);
			$this->email->message($name."\n".$msg);

			$this->email->send();
			$data["mailSent"] = 1;
		}

		$data['contact']=$this->main_view_model->view_contact();
		$data['contact_list']=$this->main_view_model->view_contact_list();
		$this->load->view('site/contact', $data);
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function contact_list(){
		$uId = $this->uri->segment(3);
		$data['contact_list']=$this->main_view_model->view_contact_list();
		$data['contact_list_info']=$this->main_view_model->get_contact_list($uId);
		$this->load->view('site/contact_list', $data);
	}

}