<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Entrants extends CI_Controller {

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct(){
		parent::__construct();
		$this->load->model(array('popup_model','entrant_model'));
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index($id=1){
		$data['title'] = $this->entrant_model->get_title($id);
		$data['links'] = $this->entrant_model->get_links($id);
		$data['popup'] = $this->popup_model->get_popup_entrant_front($id);
		$data['sliders'] = $this->entrant_model->get_slider($id);
		$data['mainBlocks']=$this->entrant_model->view_blocks($id);
		foreach ($data['mainBlocks'] as $value) {
			$data['mainBlocksPosts'][$value['uId']] = $this->entrant_model->view_blocks_posts($value['uId']);
		}
		$this->load->view('site/entrants',$data);
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function entrant_section() {
		$section_uId = $this->input->post('section_uId');

		$section = $this->entrant_model->get_entrant_section($section_uId);

		echo json_encode(array('title' => $section->title, 'content' => $section->content));
	}
}