<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Institutes extends CI_Controller {

	//------------------------------------------------------------------------------------------------------------------------
	function __construct(){
		parent::__construct();
		$this->load->model(array('institute_model', 'popup_model'));

	}

	//------------------------------------------------------------------------------------------------------------------------

	function index($id=0){
		if(!$id){
			show_404();
		}
		$data['title'] = $this->institute_model->get_title($id);
		$data['header'] = $this->institute_model->get_header($id);
		$data['popup'] = $this->popup_model->get_popup_institute_front($id);
		$data['mainBlocks']=$this->institute_model->view_blocks($id);
		$data['news'] = $this->institute_model->get_institute_news($id);
		foreach ($data['mainBlocks'] as $value) {
			$data['mainBlocksPosts'][$value['uId']] = $this->institute_model->view_blocks_posts($value['uId']);
		}
		$this->load->view('site/institutes',$data);
	}


	//------------------------------------------------------------------------------------------------------------------------

	function institute_section() {
		$section_uId = $this->input->post('section_uId');

		$section = $this->institute_model->get_institute_section($section_uId);

		echo json_encode(array('title' => $section->title, 'content' => $section->content));
	}
}