<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Other extends CI_Controller {

	//-------------------------------------------------------------------------------------------------------------------

	function __construct(){
		parent::__construct();
		$this->load->model(array('other_model'));
	}

	//-------------------------------------------------------------------------------------------------------------------

	function index($id){
		if(!$id){
			show_404();
		}
		$data['other'] = $this->other_model->get_other($id);

		$this->load->view('site/other',$data);
	}

	//-------------------------------------------------------------------------------------------------------------------

	function get_other_content() {
		$cat_id = $this->input->post('cat_id');

		$other_content = $this->other_model->get_other_content($cat_id);

		echo json_encode(array('content' => $other_content->content));
		
	}
}