<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Video_gallery extends CI_Controller {

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct(){
		parent::__construct();
		$this->load->model(array('main_view_model'));
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index($start=0){
		$this->load->library('pagination');
		$filter = $this->input->get('cat');
		if(!empty($filter)){
			$data['vGallery']=$this->main_view_model->view_v_gallery_filtered(35,$start,$filter);
			$config['total_rows'] = $this->main_view_model->get_v_gal_items_count_filtered($filter);
			$config['suffix'] = '?cat=' .$filter;
			$config['first_url'] = base_url().'video_gallery/?cat='.$filter;
		}
		else{
			$data['vGallery']=$this->main_view_model->view_v_gallery(35,$start);
			$config['total_rows'] = $this->main_view_model->get_v_gal_items_count();
		}		
		$config['base_url'] = base_url().'video_gallery/index/';
		$config['per_page'] = 35;
		$config['attributes'] = array('class' => 'pagingButton');
		$config['uri_segment'] = 3;
		$this->pagination->initialize($config);
		$data['pages'] = $this->pagination->create_links();
		$this->load->view('site/video_gallery',$data);
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

}