<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Contact_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts($num=15,$start=0){
		$query = $this->db->select("uId")->group_by("uId")->order_by("uId","desc")->limit($num,$start)->get("contactinfo");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('contactinfo')->join('langs', 'langs.langID = contactinfo.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('contactinfo')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('contactinfo',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('contactinfo',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('uId',$uId);
		$this->db->delete('contactinfo');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}