<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Entrants_news_cat_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts(){
		$query = $this->db->select("uId")->where(array('entrant_id'=>$this->session->userdata('entrant_id')))->group_by("uId")->order_by("uId","desc")->get("entrants_news_cat");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('entrants_news_cat')->join('langs', 'langs.langID = entrants_news_cat.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts_count(){
		$this->db->select('uId')->from('entrants_news_cat')->where('lang',1);
		$query=$this->db->get();
		return $query->num_rows();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('entrants_news_cat')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('entrants_news_cat',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('entrants_news_cat',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('uId',$uId);
		$this->db->delete('entrants_news_cat');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}