<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Sections_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts(){
		$query = $this->db->select("uId")->group_by("uId")->order_by("blocklevel","asc")->get("mainblocks");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('mainblocks')->join('langs', 'langs.langID = mainblocks.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('mainblocks')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('mainblocks',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('mainblocks',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('blocklevel',$uId);
		$this->db->delete('mainblocks');
		$this->sort($uId);
		$this->remove_r($uId,'section');
	}
	private function remove_r($id,$what){
		$this->db->where('section_id',$id)->delete($what);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort($level){
		$this->db->set('blocklevel', 'blocklevel-1', FALSE);
		$this->db->where('blocklevel >', $level);
		$this->db->update('mainblocks');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){

		$this->db->set('blocklevel', 'blocklevel+1000', FALSE);
		$this->db->where('blocklevel', $id-1);
		$this->db->update('mainblocks');

		$this->db->set('blocklevel', 'blocklevel-1', FALSE);
		$this->db->where('blocklevel', $id);
		$this->db->update('mainblocks');

		$this->db->set('blocklevel', 'blocklevel-999', FALSE);
		$this->db->where('blocklevel', $id+999);
		$this->db->update('mainblocks');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->db->set('blocklevel', 'blocklevel+1000', FALSE);
		$this->db->where('blocklevel', $id+1);
		$this->db->update('mainblocks');

		$this->db->set('blocklevel', 'blocklevel+1', FALSE);
		$this->db->where('blocklevel', $id);
		$this->db->update('mainblocks');

		$this->db->set('blocklevel', 'blocklevel-1001', FALSE);
		$this->db->where('blocklevel', $id+1001);
		$this->db->update('mainblocks');

	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_level(){
		$query = $this->db->select_max('blocklevel')->get('mainblocks');
		return $query->result_array();
	}
}