<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Seo_ad_model extends CI_Model{

	// tkd = title keywords description

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_tkd_posts(){
		$this->db->select('*');
		$this->db->from('seo_settings');
		$this->db->where('langID',$this->session->all_userdata()["lang"]);
		$this->db->join('langs', 'langs.langID = seo_settings.lang', 'left');
		$this->db->order_by('uId','desc');
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_tkd($uId){
		$this->db->select('*')->from('seo_settings')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert_tkd($data){
		$this->db->insert('seo_settings',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update_tkd($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('seo_settings',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete_tkd($uId){
		$this->db->where('uId',$uId);
		$this->db->delete('seo_settings');
	}

	//--- google analitycs -----------------------------------------------------------------------------------------------------------------------------------------------

	function get_google_analitycs($id){
		$this->db->select('*')->from('google_analytics')->where(array('googleID'=>$id));
		$query=$this->db->get();
		return $query->first_row('array');
	}

	function update_google_analitycs($id,$data){
		$this->db->where('googleID',$id);
		$this->db->update('google_analytics',$data);
	}

	//--- google analitycs end -------------------------------------------------------------------------------------------------------------------------------------------------------------------

}