<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage Foot menu data</h2>
	</div>
	<div class="headBox">
		<ul class="breadcrumb">
			<li><a href="<?=base_url()?>admin/manage_footer">Manage Foot Menu</a></li>
			<li><a href="#">Manage Foot Menu data</a></li>
		</ul>
		<a class="linkButton" href="<?=base_url()?>admin/manage_foot_nav/add"><i class="fa fa-plus-circle"></i> Add data</a>
	</div>
	<table class="itemsTable" border="1">
		<tr>
			<th>ID</th><th>Name Geo</th><th>Edit</th><th>Delete</th><th>level</th>
		</tr>
		<?php $i=0; $cnt = count($posts); foreach($posts as $postrow): ?>

		<tr>
			<td>
				<div><?=$postrow['menulevel']?></div>
			</td>
			<td>
				<div><a href="<?=base_url()?>admin/manage_foot_nav_content/index/<?=$postrow['id']?>"> <?=$postrow['title']?> / <?=$postrow['title_eng']?> </a></div>
			</td>						
			<td>
				<div>
					<a class="linkButton" href="<?=base_url()?>admin/manage_foot_nav/edit/<?=$postrow['id']?>"><i class="fa fa-edit"></i></a>
				</div>
			</td>
			<td>
				<div>
					<a class="linkButton" onclick="return confirm('Sure to delete?');" href="<?=base_url()?>admin/manage_foot_nav/delete/<?=$postrow['menulevel']?>"><i class="fa fa-trash-o"></i></a>
				</div>
			</td>
			<td>
				<?php if($i != 0): ?>
				<a class="linkButton" href="<?=base_url()?>admin/manage_foot_nav/sort_up/<?=$postrow['menulevel']?>"><i class="fa fa-arrow-circle-o-up"></i></a>
				<?php endif; ?>
				<?php if($i != $cnt-1): ?>
				<a class="linkButton" href="<?=base_url()?>admin/manage_foot_nav/sort_down/<?=$postrow['menulevel']?>"><i class="fa fa-arrow-circle-o-down"></i></a>
				<?php endif;?>
			</td>
		</tr>
		<?php $i++; endforeach; ?>
	</table>
	

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>