<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage announces</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_announce/add"><i class="fa fa-plus-circle"></i> Add Record</a>
	</div>

	<table class="itemsTable" border="1">
		<tr>
			<th>ID</th><th>title - geo</th><th>title - eng</th><th>Date</th><th>Ending Date</th><th>Edit</th><th>Delete</th>
		</tr>
		<?php foreach($rows as $row): ?>
		<tr>
			<td>
				<a href="<?=base_url()?>main/announce/<?=$row[0]['uId']?>" target="_blank">
					<div><?=$row[0]['id']?></div>
				</a>
			</td>
			<td>
				<div <?php if(!$row[0]['isactive']) echo "style='color:red;'";?>><?=$row[0]['title']?></div>
			</td>
			<td>
				<div <?php if(!$row[1]['isactive']) echo "style='color:red;'";?>><?=$row[1]['title']?></div>
			</td>
			<td>
				<div><?=$row[0]['date']?></div>
			</td>			
			
			<td>
				<div><?=date('d/m/Y', $row[0]['enddate'])?></div>
			</td>
			<td>
				<a class="linkButton" href="<?=base_url()?>admin/manage_announce/edit/<?=$row[0]['uId']?>"><i class="fa fa-edit"></i></a>
			</td>
			<td>
				<a class="linkButton" onclick="return confirm('Sure to delete?');" href="<?=base_url()?>admin/manage_announce/delete/<?=$row[0]['uId']?>"><i class="fa fa-trash-o"></i></a>
			</td>
		</tr>
		<?php endforeach; ?>
		<tr>
			<td colspan="9">
				<div class="pagingBox"><?=$pages?></div>
			</td>
		</tr>
	</table>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>