<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Add data</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_contact_list" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>
		
	<form class="validateForm" action="<?=base_url()?>admin/manage_contact_list/add" enctype="multipart/form-data" method="post" accept-charset="utf-8">

		<?php foreach ($langs as $lang): ?>

		<div class="form-group">
			<label class="inputLabel">title - <?=$lang["lang"]?></label><br/>
			<input type="text" class="input smallInput" name="title-<?=$lang["lang"]?>"
					data-validation="length"
					data-validation-length="2-255"
					data-validation-error-msg="Mast be between 2-255 charachters" />
		</div>
		<div class="form-group">
			<label class="inputLabel">name - <?=$lang["lang"]?></label><br/>
			<input type="text" class="input smallInput" name="name-<?=$lang["lang"]?>"
					data-validation="length"
					data-validation-length="2-255"
					data-validation-error-msg="Mast be between 2-255 charachters" />
		</div>
		<div class="form-group">
			<label class="inputLabel">position - <?=$lang["lang"]?></label><br/>
			<input type="text" class="input smallInput" name="position-<?=$lang["lang"]?>"
					data-validation="length"
					data-validation-length="max255"
					data-validation-error-msg="Max 255 charachters" />
		</div>
		<label class="inputLabel">content - <?=$lang["lang"]?></label><br/>
		<textarea id="editor-<?=$lang["lang"]?>" name="editor1-<?=$lang["lang"]?>" rows="10" cols="80"></textarea>

		<br/>
		<hr/>
		
		<script>
			// ckeditor intagrated with ckfinder
			var editor = CKEDITOR.replace( 'editor-<?=$lang["lang"]?>', {
			    filebrowserBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html',
			    filebrowserImageBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html?type=Images',
			    filebrowserFlashBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html?type=Flash',
			    filebrowserUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Files',
			    filebrowserImageUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Images',
			    filebrowserFlashUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Flash'
			});
			CKFinder.setupCKEditor( editor, '../' );
		</script>

		<?php endforeach; ?>
		
		<div class="form-group">
			<label class="inputLabel">Select Image (250x260)</label><br/>
	        <input id="xImagePath" class="input smallInput" name="ImagePath" type="text" />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath' );" />
		</div>
		<div class="form-group">
		<label class="inputLabel">Active</label><br/>
			<input type="radio" name="isactive" value="1" id="yes"
				data-validation="required"
				data-validation-error-msg="Must choose one" checked />&nbsp;<label for="yes" class="inputLabel">Yes</label>
			<input type="radio" name="isactive" value="0" id="no"
				data-validation="required"
				data-validation-error-msg="Must choose one" />&nbsp;<label for="no" class="inputLabel">No</label>
		</div>

		<button type="submit" class="button actionButton" name="add_sbmt" onclick="return confirm('Sure to add?');"><i class="fa fa-save"></i> Save</button>

	</form>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>