<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>

<?php $this->load->view('admin/blocks/asideleftentrant.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Edit record</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_entrant_sections" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>

		<form class="validateForm" action="<?=base_url()?>admin/manage_entrant_sections/edit/<?=$rows[0]['uId']?>" method="post">

		<?php foreach ($rows as $row): ?>

			<div class="form-group">
				<label class="inputLabel">Name</label><br/>
				<input type="text" class="input smallInput" name="name-<?=$langs[$row['lang']-1]['lang']?>" value="<?=$row['name']?>" />
			</div>

			<label class="inputLabel">content - <?=$langs[$row['lang']-1]['lang']?></label><br/>
			<textarea id="editor-<?=$langs[$row['lang']-1]['lang']?>" name="cont-<?=$langs[$row['lang']-1]['lang']?>" rows="10" cols="80"><?=$row['cont']?></textarea>

			<br/>
			<hr/>
			<br/>
			<script>
			// ckeditor intagrated with ckfinder
			var editor = CKEDITOR.replace( 'editor-<?=$langs[$row['lang']-1]['lang']?>', {
			    filebrowserBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html',
			    filebrowserImageBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html?type=Images',
			    filebrowserFlashBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html?type=Flash',
			    filebrowserUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Files',
			    filebrowserImageUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Images',
			    filebrowserFlashUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Flash'
			});
			CKFinder.setupCKEditor( editor, '../' );
			</script>
		<?php endforeach; ?>
		<div class="form-group">
			<label class="inputLabel">Select Image (1600x500)</label><br/>
	        <input id="xImagePath" class="input smallInput" name="ImagePath" type="text" value="<?=$rows[0]['imglink']?>" />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath' );" />
		</div>

		<div class="form-group">
			<label class="inputLabel">Background Color</label><br/>
			<input type="text" class="input smallInput color alpha" name="color" value="<?=$rows[0]['color']?>" />
		</div>

		<div class="form-group">
			<label class="inputLabel">Background Color on hover</label><br/>
			<input type="text" class="input smallInput color alpha" name="color2" value="<?=$rows[0]['color2']?>" />
		</div>

		<div class="form-group">
			<label class="inputLabel">Active</label><br/>
			<input type="radio" name="isactive" id="yes" <?php if($rows[0]['isactive']=="1") echo "checked";?> value="1"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="yes" class="inputLabel">Yes</label>
			<input type="radio" name="isactive" id="no" <?php if($rows[0]['isactive']=="0") echo "checked";?> value="0"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="no" class="inputLabel">No</label>
		</div>

		<button type="submit" class="button actionButton" name="edit_sbmt" onclick="return confirm('Sure to save?');"><i class="fa fa-save"></i> Save</button>

	</form>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>