<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleftinstitute.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Add record</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_institute_sections" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>

	<form class="validateForm" action="<?=base_url()?>admin/manage_institute_sections/add" method="post">

		<?php foreach ($langs as $lang): ?>

			<div class="form-group">
				<label class="inputLabel">Name - <?=$lang["lang"]?></label><br/>
				<input type="text" class="input smallInput" name="name-<?=$lang["lang"]?>"
						data-validation="length"
						data-validation-length="max255"
						data-validation-error-msg="Max 255 charachters" />
			</div>

			<br/>
			<hr/>
			<br/>

		<?php endforeach; ?>
		<div class="form-group">
			<label class="inputLabel">Select Image (1600x500)</label><br/>
	        <input id="xImagePath" class="input smallInput" name="ImagePath" type="text" />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath' );" />
		</div>

		<div class="form-group">
			<label class="inputLabel">Background Color</label><br/>
			<input type="color" class="input smallInput" name="color" value="#c0c0c0" />
		</div>

		<div class="form-group">
		<label class="inputLabel">Active</label><br/>
			<input type="radio" name="isactive" value="1" id="yes"
				data-validation="required"
				data-validation-error-msg="Must choose one" checked />&nbsp;<label for="yes" class="inputLabel">Yes</label>
			<input type="radio" name="isactive" value="0" id="no"
				data-validation="required"
				data-validation-error-msg="Must choose one" />&nbsp;<label for="no" class="inputLabel">No</label>
		</div>

		<button type="submit" class="button actionButton" name="add_sbmt" onclick="return confirm('Sure to add?');"><i class="fa fa-save"></i> Save</button>

	</form>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>