<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleftinstitute.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage slider</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_institute_slider/addslide"><i class="fa fa-plus-circle"></i> Add Record</a>
	</div>

	<table class="itemsTable" border="1">
		<tr>
			<th>ID</th><th>title - geo</th><th>title - eng</th><th>image</th><th>youtube link</th><th>Edit</th><th>Delete</th>
		</tr>
		<?php foreach($sliderdatas as $row): ?>
		<tr>
			<td>
				<div><?=$row[0]['id']?></div>
			</td>
			<td>
				<div><?=$row[0]['title']?></div>
			</td>
			<td>
				<div><?=$row[1]['title']?></div>
			</td>
			<td>
				<div><?php if(!empty($row[0]['img'])){echo '<img src="'.$row[0]['img'].'" />';} ?></div>
			</td>
			<td>
				<div><?=$row[0]['youtube']?></div>
			</td>
			<td>
				<a class="linkButton" href="<?=base_url()?>admin/manage_institute_slider/editslide/<?=$row[0]['uId']?>"><i class="fa fa-edit"></i></a>
			</td>
			<td>
				<a class="linkButton" onclick="return confirm('Sure to delete?');" href="<?=base_url()?>admin/manage_institute_slider/deleteslide/<?=$row[0]['uId']?>"><i class="fa fa-trash-o"></i></a>
			</td>
		</tr>
		<?php endforeach; ?>

		<tr>
			<td colspan="8">
				<div class="pagingBox"><?=$pages?></div>
			</td>
		</tr>

	</table>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>