<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
	<link rel="stylesheet" type="text/css" href="<?=base_url()?>assets/datetimepicker/jquery.datetimepicker.css">
	<script src="<?=base_url()?>assets/datetimepicker/jquery.datetimepicker.js"></script>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>
	<script type="text/javascript">
		$(document).ready(function(){
			if($('#school > option:selected').val()!=0){
				$("#institute").css('display','none');
			}
			if($('#institute > option:selected').val()!=0){
				$("#school").css('display','none');
			}
			$("#school").change(function(){
				$("#institute").css('display','none');
				if($(this).val()=='0'){
					$("#institute").css('display','block');
				}
			});
			$("#institute").change(function(){
				$("#school").css('display','none');
				if($(this).val()=='0'){
					$("#school").css('display','block');
				}
			});

		});
	</script>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Edit record</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_news" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>
	
	<form class="validateForm" action="<?=base_url()?>admin/manage_news/edit/<?=$rows[0]['uId']?>" enctype="multipart/form-data" method="post" accept-charset="utf-8">

		<label class="inputLabel">schools</label><br/>
		<?php foreach($schools as $school): ?>
			<input type='checkbox' name='school_id[]' id="<?=$school[0]['uId']?>" value='<?=$school[0]['uId']?>' <?php if(strpos($rows[0]['school_id'], $school[0]['uId']) !== FALSE) { ?> checked <?php } ?> />
			<label for="<?=$school[0]['uId']?>"><?=$school[0]['title']?></label><br/>
		<?php endforeach; ?>

		<br><br>
		
		<label class="inputLabel">institutes</label><br/>
		<?php foreach($institutes as $institute): ?>
			<input type='checkbox' name='institute_id[]' id="<?=$institute[0]['uId']?>" value='<?=$institute[0]['uId']?>' <?php if(strpos($rows[0]['institute_id'], $institute[0]['uId']) !== FALSE) { ?> checked <?php } ?> />
			<label for="<?=$institute[0]['uId']?>"><?=$institute[0]['title']?></label><br/>
		<?php endforeach; ?>

		<div class="form-group">
		<label class="inputLabel">show album?</label><br/>
			<input type="radio" name="isalbum" value="1" id="isalbum-yes" <?php if($rows[0]['isalbum']=="1") echo "checked";?>
				data-validation="required"
				data-validation-error-msg="Must choose one" />&nbsp;<label for="isalbum-yes" class="inputLabel">Yes</label>
			<input type="radio" name="isalbum" value="0" id="isalbum-no" <?php if($rows[0]['isalbum']=="0") echo "checked";?>
				data-validation="required"
				data-validation-error-msg="Must choose one" />&nbsp;<label for="isalbum-no" class="inputLabel">No</label>
		</div>
		<div class="hideAlbum">
			<div class="form-group">
				<label class="inputLabel">album name - geo</label><br/>
				<input type="text" class="input smallInput" name="albumNameGeo" value="<?=$rows[0]['albumNameGeo']?>"
						data-validation="length"
						data-validation-length="max255"
						data-validation-error-msg="Max 255 charachters" />
			</div>
			<div class="form-group">
				<label class="inputLabel">album name - eng</label><br/>
				<input type="text" class="input smallInput" name="albumNameEng" value="<?=$rows[0]['albumNameEng']?>"
						data-validation="length"
						data-validation-length="max255"
						data-validation-error-msg="Max 255 charachters" />
			</div>
			<div class="form-group">
				<label class="inputLabel">Select Image</label><br/>
		        <input id="xImagePath" class="input smallInput" name="ImagePath" value="<?=$rows[0]['image']?>" type="text" />&nbsp;
				<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/test2/', 'xImagePath' );" />
			</div>
		</div>

		<div class="form-group">
			<label class="inputLabel">Select News Main Image</label><br/>
	        <input id="xImagePath1" class="input smallInput" name="main_img" value="<?=$rows[0]['main_img']?>" type="text" />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/test2/', 'xImagePath1' );" />
		</div>

		<div class="form-group">
			<input id="linkgallery" type="hidden" class="input smallInput" name="link" value="<?=$rows[0]['link']?>" />
		</div>
		
		<div class="form-group">
			<label class="inputLabel">date</label><br/>
			<input type="text" class="input smallInput datepicker" name="date" value="<?=$rows[0]['date']?>"
					data-validation="required"
					data-validation-error-msg="required field" />
		</div>

		<div class="form-group">
			<label class="inputLabel">time in minutes</label><br/>
			<input type="text" class="input smallInput" id="datetimepicker1" name="time" value="<?=$rows[0]['time']?>"/>
		</div>

		<br/>
		<hr/>

		<?php foreach ($rows as $row): ?>

		<div class="form-group">
			<label class="inputLabel">title - <?=$langs[$row['lang']-1]['lang']?></label><br/>
			<input type="text" class="input smallInput" name="title-<?=$langs[$row['lang']-1]['lang']?>" value="<?=$row['title']?>"
					data-validation="length"
					data-validation-length="max255"
					data-validation-error-msg="Max 255 charachters" />
		</div>

		<label class="inputLabel">content - <?=$langs[$row['lang']-1]['lang']?></label><br/>
		<textarea id="editor-<?=$langs[$row['lang']-1]['lang']?>" name="editor1-<?=$langs[$row['lang']-1]['lang']?>" rows="10" cols="80"><?=$row['content']?></textarea>

		<div class="form-group">
		<label class="inputLabel">Active - <?=$langs[$row['lang']-1]['lang']?></label><br/>
			<input type="radio" name="isactive-<?=$langs[$row['lang']-1]['lang']?>" id="yes-<?=$langs[$row['lang']-1]['lang']?>" <?php if($row['isactive']=="1") echo "checked";?> value="1"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="yes-<?=$langs[$row['lang']-1]['lang']?>" class="inputLabel">Yes</label>
			<input type="radio" name="isactive-<?=$langs[$row['lang']-1]['lang']?>" id="no-<?=$langs[$row['lang']-1]['lang']?>" <?php if($row['isactive']=="0") echo "checked";?> value="0"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="no-<?=$langs[$row['lang']-1]['lang']?>" class="inputLabel">No</label>
		</div>

		<br/>
		<hr/>
		
		<script>
			// ckeditor intagrated with ckfinder
			var editor = CKEDITOR.replace( 'editor-<?=$langs[$row['lang']-1]['lang']?>', {
			    filebrowserBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html',
			    filebrowserImageBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html?type=Images',
			    filebrowserFlashBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html?type=Flash',
			    filebrowserUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Files',
			    filebrowserImageUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Images',
			    filebrowserFlashUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Flash'
			});
			CKFinder.setupCKEditor( editor, '../' );
		</script>
		<script type="text/javascript">
		$(document).ready(function(){

			$('#xImagePath').on('change',function(){
				var url = $(this).val();
				var last = url.lastIndexOf('/');
				url = url.substring(0,last+1);
				$('#linkgallery').val(url);
			});

			if($("#isalbum-yes").prop("checked")){
				$(".hideAlbum").show();
			}else{
				$(".hideAlbum").hide();
			}
			$("#isalbum-yes").click(function(){
				$(".hideAlbum").fadeIn("fast");
			});
			$("#isalbum-no").click(function(){
				$(".hideAlbum").fadeOut("fast");
			});

			$('#datetimepicker1').datetimepicker({
				datepicker:false,
				format:'H:i',
				step:5
			});

		});
		</script>
		<?php endforeach; ?>

		<button type="submit" class="button actionButton" name="edit_sbmt" onclick="return confirm('Sure to add?');"><i class="fa fa-save"></i> Save</button>

	</form>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>