<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Add Section</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_section" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>
		
	<form class="validateForm" action="<?=base_url()?>admin/manage_section/add" enctype="multipart/form-data" method="post" accept-charset="utf-8">

		

		<div class="form-group">
			<label class="inputLabel">Select Image (347x200)</label><br/>
	        <input id="xImagePath" class="input smallInput" name="ImagePath" type="text" required />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/test2/', 'xImagePath' );" />
		</div>

		

		<br/>
		<hr/>

		<?php foreach ($langs as $lang): ?>

		<div class="form-group">
			<label class="inputLabel">title - <?=$lang["lang"]?></label><br/>
			<input type="text" class="input smallInput" name="title-<?=$lang["lang"]?>"
					data-validation="length"
					data-validation-length="max255"
					data-validation-error-msg="Max 255 charachters" />
		</div>
		
		<div class="form-group">
			<label class="inputLabel">Link - <?=$lang["lang"]?></label><br/>
			<input type="text" class="input smallInput" name="link-<?=$lang["lang"]?>"
					data-validation="length"
					data-validation-length="max255"
					data-validation-error-msg="Max 255 charachters" />
		</div>
		
		<div class="form-group">
		<label class="inputLabel">Active - <?=$lang["lang"]?></label><br/>
			<input type="radio" name="isactive-<?=$lang["lang"]?>" value="1" id="yes-<?=$lang["lang"]?>"
				data-validation="required"
				data-validation-error-msg="Must choose one" checked />&nbsp;<label for="yes-<?=$lang["lang"]?>" class="inputLabel">Yes</label>
			<input type="radio" name="isactive-<?=$lang["lang"]?>" value="0" id="no-<?=$lang["lang"]?>"
				data-validation="required"
				data-validation-error-msg="Must choose one" />&nbsp;<label for="no-<?=$lang["lang"]?>" class="inputLabel">No</label>
		</div>

		<br/>
		<hr/>
		

		<?php endforeach; ?>

		<button type="submit" class="button actionButton" name="add_sbmt" onclick="return confirm('Sure to add?');"><i class="fa fa-save"></i> Save</button>

	</form>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>