<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Edit record</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_section" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>
	
	<form class="validateForm" action="<?=base_url()?>admin/manage_section/edit/<?=$rows[0]['uId']?>" enctype="multipart/form-data" method="post" accept-charset="utf-8">

		<div class="form-group">
			<label class="inputLabel">Select Image</label><br/>
	        <input id="xImagePath" class="input smallInput" name="ImagePath" value="<?=$rows[0]['image']?>" type="text" required />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/test2/', 'xImagePath' );" />
		</div>


		<br/>
		<hr/>

		<?php foreach ($rows as $row): ?>

		<div class="form-group">
			<label class="inputLabel">title - <?=$langs[$row['lang']-1]['lang']?></label><br/>
			<input type="text" class="input smallInput" name="title-<?=$langs[$row['lang']-1]['lang']?>" value="<?=$row['title']?>"
					data-validation="length"
					data-validation-length="max255"
					data-validation-error-msg="Max 255 charachters" />
		</div>

		<div class="form-group">
			<label class="inputLabel">Link - <?=$langs[$row['lang']-1]['lang']?></label><br/>
			<input type="text" class="input smallInput" name="link-<?=$langs[$row['lang']-1]['lang']?>" value="<?=$row['link']?>"
					data-validation="length"
					data-validation-length="max255"
					data-validation-error-msg="Max 255 charachters" />
		</div>
		

		
		<div class="form-group">
		<label class="inputLabel">Active - <?=$langs[$row['lang']-1]['lang']?></label><br/>
			<input type="radio" name="isactive-<?=$langs[$row['lang']-1]['lang']?>" id="yes-<?=$langs[$row['lang']-1]['lang']?>" <?php if($row['isactive']=="1") echo "checked";?> value="1"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="yes-<?=$langs[$row['lang']-1]['lang']?>" class="inputLabel">Yes</label>
			<input type="radio" name="isactive-<?=$langs[$row['lang']-1]['lang']?>" id="no-<?=$langs[$row['lang']-1]['lang']?>" <?php if($row['isactive']=="0") echo "checked";?> value="0"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="no-<?=$langs[$row['lang']-1]['lang']?>" class="inputLabel">No</label>
		</div>

		<br/>
		<hr/>
		
		<script>
			// ckeditor intagrated with ckfinder
			var editor = CKEDITOR.replace( 'editor-<?=$langs[$row['lang']-1]['lang']?>', {
			    filebrowserBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html',
			    filebrowserImageBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html?type=Images',
			    filebrowserFlashBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html?type=Flash',
			    filebrowserUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Files',
			    filebrowserImageUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Images',
			    filebrowserFlashUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Flash'
			});
			CKFinder.setupCKEditor( editor, '../' );
		</script>

		<?php endforeach; ?>

		<button type="submit" class="button actionButton" name="edit_sbmt" onclick="return confirm('Sure to add?');"><i class="fa fa-save"></i> Save</button>

	</form>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>