<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Edit record</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_seo" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>

	<div id="tabs_wrapper">
		<div id="tabs_container">
			<ul id="tabs">

				<?php foreach ($langs as $lang): ?>

				<li><a class="linkButton" href="#tab<?=$lang['langID']?>"><?=$lang['lang']?></a></li>

				<?php endforeach; ?>

			</ul>
		</div>

		<form class="validateForm" action="<?=base_url()?>admin/manage_seo/editpost/<?=$seodata[0]['uId']?>" method="post">

			<div id="tabs_content_container" style="left: 0;">

				<?php foreach ($seodata as $row): ?>

				<div id="tab<?=$row['lang']?>" class="tab_content">

					<div class="form-group">
						<label class="inputLabel">Title - <?=$langs[$row['lang']-1]['lang']?></label><br/>
						<input type="text" class="input smallInput" name="seo_title-<?=$langs[$row['lang']-1]['lang']?>" value="<?=$row['seo_title']?>"
								data-validation="length"
								data-validation-length="3-64"
								data-validation-error-msg="Must be between 3-64 charachters" />
					</div>
					<div class="form-group">
						<label class="inputLabel">Keywords - <?=$langs[$row['lang']-1]['lang']?></label><br/>
						<textarea class="input textAreaInput" name="seo_keywords-<?=$langs[$row['lang']-1]['lang']?>"
								data-validation="length"
								data-validation-length="max255"
								data-validation-error-msg="Max 255 charachters" ><?=$row['seo_keywords']?></textarea>
					</div>
					<div class="form-group">
						<label class="inputLabel">Description - <?=$langs[$row['lang']-1]['lang']?></label><br/>
						<textarea class="input textAreaInput" name="seo_description-<?=$langs[$row['lang']-1]['lang']?>"
								data-validation="length"
								data-validation-length="max150"
								data-validation-error-msg="Max 150 charachters" ><?=$row['seo_description']?></textarea>
					</div>

				</div>

				<?php endforeach; ?>

				<button type="submit" class="button actionButton" name="edit_seo_sbmt" onclick="return confirm('Sure to edit?');"><i class="fa fa-save"></i> Save</button>
			
			</div><!--tabs_content_container end-->
		</form>
	</div><!--tabs_wrapper end-->

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>