<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage seo data</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_seo/addpost"><i class="fa fa-plus-circle"></i> Add Meta Tags</a>&nbsp;
		<a class="linkButton" href="<?=base_url()?>admin/manage_seo/edit_google_analytics/1"><i class="fa fa-plus-circle"></i> Manage Google Analytics</a>
	</div>
	<div>Change tables language: <a href="<?=base_url()?>admin/main/change_lang"><?=$this->session->all_userdata()["langName"];?></a></div><br/>
	<table class="itemsTable" border="1">
		<tr>
			<th>ID</th><th>Page</th><th>Title</th><th>Language</th><th>Edit</th><th>Delete</th>
		</tr>
		<?php foreach($seodatas as $row): ?>
		<tr>
			<td>
				<div>
					<?=$row['seoID']?>
				</div>
			</td>
			<td>
				<div>
					<?=$row['seo_page']?>
				</div>
			</td>
			<td>
				<div>
					<?=$row['seo_title']?>
				</div>
			</td>
			<td>
				<div>
					<?=$row['lang']?>
				</div>
			</td>
			<td>
				<div>
					<a class="linkButton" href="<?=base_url()?>admin/manage_seo/editpost/<?=$row['uId']?>"><i class="fa fa-edit"></i></a>
				</div>
			</td>
			<td>
				<div>
					<a class="linkButton" onclick="return confirm('Sure to delete?');" href="<?=base_url()?>admin/manage_seo/deletepost/<?=$row['uId']?>"><i class="fa fa-trash-o"></i></a>
				</div>
			</td>
		</tr>
		<?php endforeach; ?>
	</table>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>