<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage Video Gallery</h2>
	</div>
	<div class="headBox">
		<ul class="breadcrumb">
			<li><a href="<?=base_url()?>admin/manage_vgallery_cat">Manage Video Gallery Category</a></li>
			<li><a href="#">Manage <?=$vgallery_cat[1]["name"]?></a></li>
		</ul>
		<a class="linkButton" href="<?=base_url()?>admin/manage_vgallery/add"><i class="fa fa-plus-circle"></i> Add Record</a>
	</div>

	<table class="itemsTable" border="1">
		<tr>
			<th>ID</th><th>title - geo</th><th>title - eng</th><th>image</th><th>Active</th><th>Edit</th><th>Delete</th>
		</tr>
		<?php foreach($rows as $row): ?>
		<tr>
			<td>
				<div><?=$row[0]['id']?></div>
			</td>
			<td>
				<div><?=$row[0]['title']?></div>
			</td>
			<td>
				<div><?=$row[1]['title']?></div>
			</td>
			<td>
				<div><?php if(!empty($row[0]['image'])){echo '<img src="'.$row[0]['image'].'" />';} ?></div>
			</td>
			<td>
				<div><?php if($row[0]['isactive'] == 1){ echo "Yes"; }else{ echo "No"; } ?></div>
			</td>
			<td>
				<a class="linkButton" href="<?=base_url()?>admin/manage_vgallery/edit/<?=$row[0]['uId']?>"><i class="fa fa-edit"></i></a>
			</td>
			<td>
				<a class="linkButton" onclick="return confirm('Sure to delete?');" href="<?=base_url()?>admin/manage_vgallery/delete/<?=$row[0]['uId']?>"><i class="fa fa-trash-o"></i></a>
			</td>
		</tr>
		<?php endforeach; ?>
		<tr>
			<td colspan="9">
				<div class="pagingBox"><?=$pages?></div>
			</td>
		</tr>
	</table>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>