<script type="text/javascript">	

$(document).ready(function(){
    var head_url = config.base + "manage_main_nav/get_foothead_json";
    var social_url = config.base +"main/get_social";
    var right_icons = config.base +"main/get_right_icons";
    var contact_url = config.base + "main/get_contact";
    $.ajax({
       url: head_url,
        type: "POST",
        success: function(data) {
        	var items = $.parseJSON(data);
        	var html = "";
            $.each(items, function(k, item) { //
            	if (item[0].name.length > 0){
	                html += '<figure class="footLinksColumn"><h2>'+item[0].name+'</h2>';
	                $.each(item['content'], function(i, menu_item) { //            
	                    // console.log(menu_item);	 
	                    if(menu_item != null && item['content']['top_level'] == menu_item.depth ){
                            var blank = '';
                            if(item.target==1){
                                blank = 'target="_blank"';
                            }
	                        if(menu_item.link != ""){
	                           html+= '<p><a '+blank+' href="'+menu_item.link+'">'+menu_item.title+'</a></p>'; 
	                        }
	                        else{
	                	       html+= '<p><a '+blank+' href='+config.base+'footer_content/index/'+menu_item.id+'/'+menu_item.footer_id+'>'+menu_item.title+'</a></p>'; 
	                        }
	                    }
	                });
	                html += '</figure>';
            	}
            });
            html += '<div class="clear"></div>';
            $("#footLinks").html(html);
        }
    });      
    $.ajax({
        url: social_url,
        type: "POST",
        success: function(data) {
        	var items = $.parseJSON(data);     
        	var html = "";         		
            $.each(items, function(i, item) {    
				html+= '<a href="'+item.link+'" target="blank"><img src="'+item.img+'" title="'+item.title+'" width="45px" height="45px" /></a>';               
            });
            $("#socialBox").html(html);
        }
    });   
    $.ajax({
        url: right_icons,
        type: "POST",
        success: function(data) {
        	var items = $.parseJSON(data);     
        	var html = "";         		
            $.each(items, function(i, item) {    
				html+= '<a href="'+item.link+'" target="blank"><img src="'+item.img+'" title="'+item.title+'" width="45px" height="45px" /></a>';               
            });
            $("#divRightIconsBox").html(html);
        }
    });
    $.ajax({
       url: contact_url,
        type: "POST",
        success: function(data) {
        	var items = $.parseJSON(data);     
        	var html = "";         		
            $.each(items, function(i, item) {
                if(config.language == "1"){ tel = "ტელ", fax = "ფაქსი" } else {  tel = "Tel", fax = "Fax"  } 
				html+= '<a href="'+item.link+'" target="_blank">'+item.address+'</a> | ' + tel + ': '+item.phone+' | ' + fax + ': '+item.fax+' <br/>';               
            });
           $(".lastFootText").append(html);
        }
    });

    $("#printDiv").click(function(){
        $("#print").printThis();
    });

    $('.pdf iframe, .staticpdf').attr("allowfullscreen","allowfullscreen");
    $('.pdf iframe, .staticpdf').attr("webkitallowfullscreen","webkitallowfullscreen");

    $.ajax({
        url: config.base + "main/hit_counter",
        type: "POST",
        success: function(data) {
            var items = $.parseJSON(data);

            $("#pageviews").html(items.hits);
        }
    });

    $.ajax({
        url: config.base + "main/hit_add",
        type: "POST"
    });

});
</script>

<!-- footer -->
	<footer id="footer">
		<div id="footLinks">
				<!-- footer menu -->
		</div>

		<div id="footSocialLinks">
			<div id="socialBox">			
				<!-- social icons -->			
			</div>

			<!-- <ul id="flexisel">
			    <li><a href="http://google.com" target="blank"><img src="<?=base_url()?>assets/bottomslider/images/1.jpg" /></a></li>
			    <li><img src="<?=base_url()?>assets/bottomslider/images/2.jpg" /></li>
			    <li><img src="<?=base_url()?>assets/bottomslider/images/3.jpg" /></li>
			    <li><img src="<?=base_url()?>assets/bottomslider/images/4.jpg" /></li>                                                 
			</ul> -->  

			<div id="divRightIconsBox">
				
				<!-- right icons -->
				
			</div>
			<div class="clear"></div>
		</div>
		<div id="lastFootBox">
				<a href="<?=base_url()?>"><img src="<?=base_url()?>assets/img/grunilogo.png" class="footMainLogo" alt="გრიგოლ რობაქიძის სახელობის უნივერსიტეტის ლოგო"/></a>
				<p class="lastFootText">
                <?php
                if($this->session->userdata('lang')==1) {
                    echo "
			            © გრიგოლ რობაქიძის სახელობის უნივერსიტეტი | ელ-ფოსტა: info@gruni.edu.ge  <br/>
			            ვებ-საიტის შექმნის თარიღი: 2011.05.05 | განახლებულია: 2015.09.09 <br/>
                    ";
                }else{
                    echo "
                        © Grigol Robakidze University | E-mail: info@gruni.edu.ge <br/>
                        Web - Site Created: 2011.05.05 | Updated: 2015.09.09 <br/>
                    "; 
                }
                ?>
				</p>
			<div class="topgeCounter">
				<div class="div2">
					<a href="<?=base_url()?>sitemap">
                        <?php if($this->session->userdata('lang')==1) { echo "რუკა"; }else{ echo "Sitemap"; } ?>
                    </a> | 
                    <a href="<?=base_url()?>contact">
                        <?php if($this->session->userdata('lang')==1) { echo "კონტაქტი"; }else{ echo "Contact"; } ?>
                    </a>
                </div>
				<div>
				<!-- TOP.GE COUNTER CODE -->
					<SCRIPT language=JavaScript type=text/javascript src="http://counter.top.ge/cgi-bin/cod?100+64498"></SCRIPT>
					<NOSCRIPT></NOSCRIPT>
                    <div style="font-size:10px; font-family:verdana;" id="pageviews">
                    
                    </div>
				<!-- / END OF COUNTER CODE -->                        
                </div>
			</div>
			<div class="clear"></div>
		</div>
	</footer>

</div>

<script type="text/javascript">
$(document).ready(function() {
    // Dropdown Menu
    var dropdown = document.querySelectorAll('.dropdown');
    var dropdownArray = Array.prototype.slice.call(dropdown,0);
    dropdownArray.forEach(function(el){
        var button = el.querySelector('a[data-toggle="dropdown"]'),
            menu = el.querySelector('.dropdown-menu'),
            arrow = button.querySelector('i.icon-arrow');
        button.onclick = function(event) {
            if(!menu.hasClass('show')) {
                menu.classList.add('show');
                menu.classList.remove('hide');
                arrow.classList.add('open');
                arrow.classList.remove('close');
                event.preventDefault();
            } else {
                menu.classList.remove('show');
                menu.classList.add('hide');
                arrow.classList.remove('open');
                arrow.classList.add('close');
                event.preventDefault();
            }
        };

    })
    Element.prototype.hasClass = function(className) {
       return this.className && new RegExp("(^|\\s)" + className + "(\\s|$)").test(this.className);
    };
   //dropdown menu end

    hashFull = window.location.hash;
    hash = hashFull.substr(1);

    $('.modal').each(function() {
        var hrefHash = $(this).attr("href");
        var href = hrefHash.substr(1);
        $(this).attr("id", href);

        if(href == hash){
            $("#" + href).trigger("click");
        }
    });

});

$(window).scroll(function() {

    if($(this).scrollTop() < 200){
        $(".myModal").css("position","fixed");
        $(".myModal").css("top","100px");
    }else{
        $(".myModal").css("position","absolute");
        $(".myModal").css("top","200px");
    }

});


$(".modal").click(function(event){
    event.preventDefault();
    var badHash = $(this).attr("href");
    var goodHash = badHash.substr(1);
    var section_uId = goodHash.substr(goodHash.lastIndexOf('-')+1, goodHash.length);
    history.pushState(null, null, "#"+goodHash);

    $(".myModal").css("position","fixed");
    $(".myModal").css("top","100px");
    $(".myModal").fadeIn();
});

$(".closeBtn").click(function(){
    $(".myModal").fadeOut();
    $('.myModalContent iframe').attr('src','')
    history.pushState(null, null, " ");
});

$('.modal-sch').click(function(event){
    event.preventDefault();
    var badHash = $(this).attr("href");
    var goodHash = badHash.substr(1);
    var section_uId = goodHash.substr(goodHash.lastIndexOf('-')+1, goodHash.length);
    
    $.ajax({
        url: config.base + "schools/school_section",
        type: "POST",
        data: {
            section_uId : section_uId
        },
        dataType: 'json',
        success: function(data) {
            var id = goodHash;
            var title = data.title;
            var content = data.content;
            // console.log(data);
            $("#test").attr("id",id);
            $("#popup_title").html(title);
            $("#print").html(content);
            $('iframe').attr("allowfullscreen","allowfullscreen");
        }
    });   
});

$('.modal-inst').click(function(event){
    event.preventDefault();
    var badHash = $(this).attr("href");
    var goodHash = badHash.substr(1);
    var section_uId = goodHash.substr(goodHash.lastIndexOf('-')+1, goodHash.length);
    

    $.ajax({
        url: config.base + "institutes/institute_section",
        type: "POST",
        data: {
            section_uId : section_uId
        },
        dataType: 'json',
        success: function(data) {
            var id = goodHash;
            var title = data.title;
            var content = data.content;
            console.log(data);
            $("#test").attr("id",id);
            $("#popup_title").html(title);
            $("#print").html(content);
            $('iframe').attr("allowfullscreen","allowfullscreen");
        }
    });   
});

$('.modal-ent').click(function(event){
    event.preventDefault();
    var badHash = $(this).attr("href");
    var goodHash = badHash.substr(1);
    var section_uId = goodHash.substr(goodHash.lastIndexOf('-')+1, goodHash.length);
    

    $.ajax({
        url: config.base + "entrants/entrant_section",
        type: "POST",
        data: {
            section_uId : section_uId
        },
        dataType: 'json',
        success: function(data) {
            var id = goodHash;
            var title = data.title;
            var content = data.content;
            // console.log(data);
            $("#test").attr("id",id);
            $("#popup_title").html(title);
            $("#print").html(content);
            $('iframe').attr("allowfullscreen","allowfullscreen");
        }
    });   
});

$("#popupBoxClose,#wrapper").click(function(){
    $('#popup_box iframe').attr('src','')
});

$(document).ready(function() {
    $('.nyro').nyroModal();
});

$('.popup').click(function(event) {
    var width  = 575,
        height = 400,
        left   = ($(window).width()  - width)  / 2,
        top    = ($(window).height() - height) / 2,
        url    = this.href,
        opts   = 'status=1' +
                 ',width='  + width  +
                 ',height=' + height +
                 ',top='    + top    +
                 ',left='   + left;

    window.open(url, 'twitter', opts);

    return false;
});

</script>


