<!DOCTYPE html>
<html lang="en">
<head>
	<?php $this->load->view("site/blocks/head.php"); ?>
	<title>
        gruni.edu.ge - <?php if($this->session->userdata('lang')==1) { echo "კონტაქტი"; }else{ echo "Contact"; } ?>
    </title>
</head>
<body>
<div class="overlay-back"></div>
<div id="wrapper">
<?php $this->load->view("site/blocks/header.php"); ?>
<div id="contactWrap">

	<ul class="breadcrump">
		<li>
			<a href="<?=base_url()?>">
				<?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?>
			</a>
		</li>
		<img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
		<li>
			<a href="<?=base_url()?>contact">
				<?php if($this->session->userdata('lang')==1) { echo "კონტაქტი"; }else{ echo "Contact"; } ?>
			</a>
		</li>
		<img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
		<li>
			<?=$contact_list_info['title']?>
		</li>
	</ul>

	<div>
		<div class="leftContent" id="print">
			<div class="contactListInfo">
				<p class="contactListPos"><?=$contact_list_info['position']?></p>

				<p class="contactListName"><?=$contact_list_info['name']?></p>

				<div>
					<?=$contact_list_info['page']?>
				</div>

				<img class="contactListImg" src="<?=$contact_list_info['img']?>" />
			</div>
		<div class="clear"></div>
		</div>

		<div class="rightContent">
			
			<div class="rightMenu">
			  <ul>
			    <li class="dropdown">
			      	<a href="<?=base_url()?>contact" data-toggle="dropdown">
			      		<?php if($this->session->userdata('lang')==1) { echo "კონტაქტი"; }else{ echo "Contact"; } ?>
			      	<i class="icon-arrow"><i class="fa fa-caret-down"></i></i>
			      	</a>
			      	<ul class="dropdown-menu show">
			      		<?php foreach ($contact_list as $row): ?>
			        		<li>
			        			<a href="<?=base_url()?>contact/contact_list/<?=$row['uId']?>"><?=$row['title']?></a>
			        		</li>
			        	<?php endforeach; ?>
			      	</ul>
			    </li>
			  </ul>
			</div>

		</div>
		<div class="clear"></div>
	</div>
		</div>

	<div class="contactFoot">
		<div class="contactMap">
			<div class="contact-page-info">
				<div class="contact-page-info-left">
					<i class="fa fa-map-marker"></i>
					<p><span>თბილისი</span><a href="javascript:google.maps.event.trigger(gmarkers[0],'click');">დავით აღმაშენებლის ხეივანი მე-13 კმ.</a></p>
					<i class="fa fa-map-marker"></i>
					<p><span>ბათუმი</span><a href="javascript:google.maps.event.trigger(gmarkers[1],'click');">დავით აღმაშენებლის ქ. 13</a></p>
				</div>
				<div class="contact-page-info-right">
					<i class="fa fa-phone-square"></i>
					<p><span>ტელეფონი</span>(+995 32) 2384406, (+995 32) 2382706</p>
					<i class="fa fa-fax"></i>
					<p><span>ფაქსი</span>(+995 32) 2384406</p>
					<i class="fa fa-envelope"></i>
					<p><span>ელ. ფოსტა</span><a href="mailto:info@gruni.edu.ge" target="_blank">info@gruni.edu.ge</a></p>
				</div>
			</div>
			<!-- <iframe src="https://www.google.ge/maps?source=tldsi&hl=ka"></iframe> -->
			<script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=false"></script>
			<script type="text/javascript">
			var gmarkers = [];
			function initialize() {
			    
			        var mapOptions = {
			    		zoom: 8,
			    		center: new google.maps.LatLng(42.064996, 43.271928),
			    		mapTypeId: google.maps.MapTypeId.ROADMAP
			 		}
			  		var map = new google.maps.Map(document.getElementById("googlemap"), mapOptions);


			        var locations = [
			    ['თბილისი, დავით აღმაშენებლის ხეივანი მე-13 კმ.', 41.7919256, 44.7757265, '../../../assets/img/google-map-point.png'],
			    ['ბათუმი, დავით აღმაშენებლის ქ. 13', 41.6254203, 41.6189113, '../../../assets/img/google-map-point.png'],
			        ];
			    

			        var marker, i;
			        var infowindow = new google.maps.InfoWindow();


			        google.maps.event.addListener(map, 'click', function() {
			            infowindow.close();
			        });


			        for (i = 0; i < locations.length; i++) {
			            marker = new google.maps.Marker({
			                position: new google.maps.LatLng(locations[i][1], locations[i][2]),
			                map: map,
			                icon: locations[i][3]
			            });
			            gmarkers.push(marker);


			            google.maps.event.addListener(marker, 'click', (function(marker, i) {
			                return function() {
			                    infowindow.setContent(locations[i][0]);
			                    infowindow.open(map, marker);
			                }
			            })(marker, i));
			        }

			    }
			    google.maps.event.addDomListener(window, 'load', initialize);
			</script>
			<div id="googlemap" style="width: 100%; height: 500px;"></div>
	
			

			</div>
		</div>


<!-- 	<div class="contactTools">
		<button type="button" class="contactToolsIcons"><i class="fa fa-facebook"></i></button>
		<button type="button" onclick="printContent('print')" class="contactToolsIcons"><i class="fa fa-print"></i></button>
		<button type="button" id="incfont" class="contactToolsIcons"><i class="fa fa-font"></i><span class="plus-minus">+</span></button>
		<button type="button" id="decfont" class="contactToolsIcons"><i class="fa fa-font"></i><span class="plus-minus">-</span></button>
		<div class="clear"></div>
	</div> -->

</div>
<!-- 
<script>
function printContent(el){
	var restorepage = document.body.innerHTML;
	var printcontent = document.getElementById(el).innerHTML;
	document.body.innerHTML = printcontent;
	window.print();
	document.body.innerHTML = restorepage;
}

$(document).ready(function() {
	$('#incfont').click(function(){ 
	    curSize= parseInt($('.contactListInfo').css('font-size')) + 2;
	if(curSize<=20)
	    $('.contactListInfo').css('font-size', curSize);
	});  
	$('#decfont').click(function(){    
	    curSize= parseInt($('.contactListInfo').css('font-size')) - 2;
	if(curSize>=12)
	    $('.contactListInfo').css('font-size', curSize);
	}); 
});
</script>
 -->
<?php require("blocks/footer.php");?>
</body>
</html>