<!DOCTYPE html>
<html lang="en">
<head>
	<?php $this->load->view("site/blocks/head.php"); ?>
    <title><?=$content['title']?></title>
    <meta name="description" content="თანამედროვე განათლება - თანამედროვე უნივერსიტეტში"/>
    <meta property="og:title" content=""/>
    <meta property="og:type" content="university"/>
    <meta property="og:site_name" content="gruni.indygo.ge"/>
    <meta property="og:description" content="თანამედროვე განათლება - თანამედროვე უნივერსიტეტში"/>
	<link rel="stylesheet" type="text/css" href="<?=base_url()?>assets/nyro_modal/styles/nyroModal.css">
	<script src="<?=base_url()?>assets/nyro_modal/js/jquery.nyroModal.custom.min.js"></script>
</head>
<body class="reg_stud">
<?php $this->load->view("site/blocks/after_body.php"); ?>
<div class="overlay-back"></div>
<div id="wrapper">
    
<?php $this->load->view("site/blocks/header.php"); ?>

<div class="pageWrap">

	<ul class="breadcrump">
		<li id="firstCrump">
            <a href="<?=base_url()?>">
                <?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?>
            </a>
        </li>
		<img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
		<li>
			<?=$content['title']?>
		</li>
	</ul>

	<div class="leftContent">
		<div id="newsText">
			<h1 class="contentTiTle"><?=$content['title']?></h1>
            <div class="share-block"> 
                <span>
                    <div class="soc fb">
                        <i class="fa fa-facebook"></i>
                        <div class="fb-share-button" data-href="<?php echo $_SERVER['REQUEST_URI']; ?>" data-layout="icon"></div>
                    </div>
                </span>
                <span>
                    <div class="soc gp">
                        <i class="fa fa-google-plus"></i>
                        <a class="googlePshare" href="https://plus.google.com/share?url={<?php echo $_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"]; ?>}" onclick="javascript:window.open(this.href,
                        '<?php echo $_SERVER["REQUEST_URI"]; ?>', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;">
                        <img src="https://www.gstatic.com/images/icons/gplus-32.png" alt="Share on Google+"/>
                        </a>
                    </div>
                </span>
                <a id="printDiv">
                    <div class="soc tw">
                        <a class="twitter popup" href="http://twitter.com/share"><i class="fa fa-twitter"></i></a>
                    </div>
                </a>
                <a id="printDiv">
                    <div class="soc pr">
                        <i class="fa fa-print"></i>
                    </div>
                </a>
                <a id="incfont">
                    <div class="soc pr">
                        <i class="fa fa-font"></i><span class="plus-minus">+</span>
                    </div>
                </a>
                <a id="decfont">
                    <div class="soc pr">
                        <i class="fa fa-font"></i><span class="plus-minus">-</span>
                    </div>
                </a>
            </div>
			<article id="print">
            <?php
                if($access->pedagog || $access->administrator || $access->office_manager || $access->student){
                    if(!$this->session->userdata('gruni_user_logged_in')){
                        if($this->session->userdata('lang')==1) 
                            echo 'გვერდის სანახავად გთხოვთ გაიარეთ ავტორიზაცია.';   
                        else 
                            echo 'Please log in to access this page.';  
                    }
                    else{
                        switch ($this->session->userdata('gruni_user_type')) {
                            case '0':
                                if(!$access->pedagog){
                                    if($this->session->userdata('lang')==1) 
                                        echo 'თქვენ არ გაქვთ უფლება ამ გვერდის სანახავად.';   
                                    else 
                                        echo "You don't have permission to view this page";  
                                }
                                else{
                                    echo $content['content'];
                                }
                                break;
                            case '1':
                                if(!$access->administrator){
                                    if($this->session->userdata('lang')==1) 
                                        echo 'თქვენ არ გაქვთ უფლება ამ გვერდის სანახავად.';   
                                    else 
                                        echo "You don't have permission to view this page";  
                                }
                                else{
                                    echo $content['content'];
                                }
                                break; 
                            case '2':
                                if(!$access->office_manager){
                                    if($this->session->userdata('lang')==1) 
                                        echo 'თქვენ არ გაქვთ უფლება ამ გვერდის სანახავად.';   
                                    else 
                                        echo "You don't have permission to view this page";  
                                }
                                else{
                                    echo $content['content'];
                                }
                                break;
                            default:
                                if(!$access->student){
                                    if($this->session->userdata('lang')==1) 
                                        echo 'თქვენ არ გაქვთ უფლება ამ გვერდის სანახავად.';   
                                    else 
                                        echo "You don't have permission to view this page";  
                                }
                                else{
                                    echo $content['content'];
                                }  
                        }
                    }
                }
                else{
                    echo $content['content'];
                }
            ?>
				
			</article>
		</div>
	</div>

	<aside class="rightContent">
		<?php $this->load->view("site/blocks/footer_right_menu.php"); ?>
	<div class="clear"></div>
	</aside>
<div class="clear"></div>
</div>

<script type="text/javascript">
$(function() {
    $('#incfont').click(function(){ 
        curSize= parseInt($('#newsText article').css('font-size')) + 2;
    if(curSize<=20)
        $('#newsText article').css('font-size', curSize);
    });  
    $('#decfont').click(function(){    
        curSize= parseInt($('#newsText article').css('font-size')) - 2;
    if(curSize>=12)
        $('#newsText article').css('font-size', curSize);
    }); 
    $('.nyroModal').nyroModal();
});
$(".nyroModal").click(function(){
	$('.openFrame').show();
});
</script>

<script type="text/javascript"> 
// $(window).load(function(){
//   var url = config.base + "other/get_other_content";
//   $(".mainNavLinks").on('click',function(e){
//     e.preventDefault();
//     var cat_id = $(this).attr('id');
//     var title = $(this).text();
//       $.ajax({
//         url: url,
//         type: "POST",
//         data: ({
//              cat_id: cat_id 
//         }),
//         dataType:'json',
//         success: function(data) {
//             $('.contentTiTle').html(title);
//             $('#print').html(data.content); 
//         }
//       }); 

//   });
// });
</script>

<?php require("blocks/footer.php");?>
</body>
</html>