<!DOCTYPE html>
<html lang="en">
<head>
	<?php $this->load->view("site/blocks/head.php"); ?>
	<title><?=$mtitle['title']?></title>
	<meta name="description" content="თანამედროვე განათლება - თანამედროვე უნივერსიტეტში"/>
    <meta property="og:title" content="<?=$mtitle['title']?>"/>
    <meta property="og:type" content="university"/>
    <meta property="og:image" content="<?=base_url()?><?=$newsdata['main_img']?>"/>
    <meta property="og:site_name" content="gruni.indygo.ge"/>
    <meta property="og:description" content="თანამედროვე განათლება - თანამედროვე უნივერსიტეტში"/>
	<link rel="stylesheet" type="text/css" href="<?=base_url()?>assets/css/schools.css">
</head>
<body>
<?php $this->load->view("site/blocks/after_body.php"); ?>
<div class="overlay-back"></div>
<div id="wrapper">
<?php $this->load->view("site/blocks/institutes_header.php"); ?>
<div class="pageWrap">

		<ul class="breadcrump">
			<li>
				<a href="<?=base_url()?>">
	                <?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?>
	            </a>
			</li>
			<img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
			<li id="firstCrump">
				<a href="<?=base_url()?>institute_menu_content/index/206/<?=$title['uId']?>">
					<?=$title['title']?>
				</a>
			</li>
			<img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
			<li>
				<?=$mtitle['title']?>
			</li>
		</ul>

		<div class="leftContent">
			<div id="newsText">
				<h1><?=$mtitle['title'];?></h1>
	            <div class="share-block"> 
	                <span>
	                    <div class="soc fb">
	                        <i class="fa fa-facebook"></i>
	                        <div class="fb-share-button" data-href="<?php echo $_SERVER['REQUEST_URI']; ?>" data-layout="icon"></div>
	                    </div>
	                </span>
	                <span>
	                    <div class="soc gp">
	                        <i class="fa fa-google-plus"></i>
	                        <a class="googlePshare" href="https://plus.google.com/share?url={<?php echo $_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"]; ?>}" onclick="javascript:window.open(this.href,
	                        '<?php echo $_SERVER["REQUEST_URI"]; ?>', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;">
	                        <img src="https://www.gstatic.com/images/icons/gplus-32.png" alt="Share on Google+"/>
	                        </a>
	                    </div>
	                </span>
	                <a>
	                    <div class="soc tw">
	                        <a class="twitter popup" href="http://twitter.com/share"><i class="fa fa-twitter"></i></a>
	                    </div>
	                </a>
	                <a id="printDiv">
	                    <div class="soc pr">
	                        <i class="fa fa-print"></i>
	                    </div>
	                </a>
	                <a id="incfont">
	                    <div class="soc pr">
	                        <i class="fa fa-font"></i><span class="plus-minus">+</span>
	                    </div>
	                </a>
	                <a id="decfont">
	                    <div class="soc pr">
	                        <i class="fa fa-font"></i><span class="plus-minus">-</span>
	                    </div>
	                </a>
	            </div>
				<article id="print">
					<?=$content['content'];?>
				</article>
			</div>
		</div>

		<aside class="rightContent">
			<?php $this->load->view("site/blocks/institute_right_menu.php"); ?>
		<div class="clear"></div>
		</aside> 
<div class="clear"></div>
</div>

<script>

$(document).ready(function() {
	$('#incfont').click(function(){ 
	    curSize= parseInt($('#newsText article').css('font-size')) + 2;
	if(curSize<=20)
	    $('#newsText article').css('font-size', curSize);
	});  
	$('#decfont').click(function(){    
	    curSize= parseInt($('#newsText article').css('font-size')) - 2;
	if(curSize>=12)
	    $('#newsText article').css('font-size', curSize);
	}); 
});

$(window).load(function(){
	var first = $("#right_menu .dropdown:first");
	var sec = $("#right_menu .dropdown:nth(1)");

	first.insertAfter(sec);
});

$('iframe').attr("allowfullscreen","allowfullscreen");

</script>

<?php require("blocks/footer.php");?>
</body>
</html>