<!DOCTYPE html>
<html lang="en">
<head>
	<?php $this->load->view("site/blocks/head.php"); ?>
    <title><?=$title['title'];?></title>
	<link rel="stylesheet" type="text/css" href="<?=base_url()?>assets/css/schools.css">
	<script type='text/javascript' src='<?=base_url()?>assets/js/amazingsliderbc19.js'></script>

</head>
<body class="school institutes">
<div class="overlay-back"></div>
<?php if((get_cookie('update_time_institute_'.$popup['institute_id']) != $popup['update_time']) && $popup['isactive']=='1' ):
    $cookie = array(
        'name'   => 'update_time_institute_'.$popup['institute_id'],
        'value'  => $popup['update_time'],
        'expire' => time()+86500
    );
    set_cookie($cookie);
?>
<div id="popup_box">    
    <?=$popup['popup'];?>
    <a id="popupBoxClose">X</a> 
</div>
<script>
$(document).ready( function() {

    // When site loaded, load the Popupbox First
    loadPopupBox();

    $('#popupBoxClose').click( function() {         
        unloadPopupBox();
    });
    
    $('#wrapper').click( function() {
        unloadPopupBox();
    });

    function unloadPopupBox() { // TO Unload the Popupbox
        $('#popup_box').fadeOut("slow");
        $("#wrapper").css({ // this is just for style       
            "opacity": "1"  
        }); 
    }   
    
    function loadPopupBox() {   // To Load the Popupbox
        $('#popup_box').fadeIn("slow");
        $("#wrapper").css({ // this is just for style
            "opacity": "0.3"  
        });         
    }
    /**********************************************************/
    
});
</script>
<?php endif;?>
    
<div id="wrapper">

<?php $this->load->view("site/blocks/institutes_header.php"); ?>

	

<div class="pageWrap institutesWrap">

<div class="leftContent">

	<ul class="breadcrump">
		<li>
            <a href="<?=base_url()?>">
                <?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?>
            </a>
        </li>
		<img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
		<li>
			<?=$title['title'];?>
		</li>
	</ul>



	

<div class="clear"></div>
</div>

	<aside class="rightContent">
        <?php $this->load->view("site/blocks/institute_right_menu.php"); ?>
    <div class="clear"></div>
    </aside>
<div class="clear"></div>
</div>

<?php require("blocks/footer.php");?>
</body>
</html>