<!DOCTYPE html>
<html lang="en">
<head>
	<?php $this->load->view("site/blocks/head.php"); ?>
    <title>
        <?php
        $actual_link = "http://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
        $actual_link = trim(strtok($actual_link, '?'));
        if($actual_link == "http://gruni.edu.ge/school_personnel/index/1442824513/1446133993") {
            if($this->session->userdata('lang')==1) { echo "მასწავლებელთა პერსონალი"; }else{ echo "Academic Personnel"; } 
        } else { 
            if($this->session->userdata('lang')==1) { echo "აკადემიური პერსონალი"; }else{ echo "Academic Personnel"; } 
        }
        ?>
    </title>
    <meta name="description" content="თანამედროვე განათლება - თანამედროვე უნივერსიტეტში"/>
    <meta property="og:title" content="მასწავლებელთა პერსონალი"/>
    <meta property="og:type" content="university"/>
    <meta property="og:image" content=""/>
    <meta property="og:site_name" content="gruni.indygo.ge"/>
    <meta property="og:description" content="თანამედროვე განათლება - თანამედროვე უნივერსიტეტში"/>

    <link rel="stylesheet" type="text/css" href="<?=base_url()?>assets/css/animate.css">
    <link rel="stylesheet" type="text/css" href="<?=base_url()?>assets/css/schools.css">

</head>
<body class="personnel">
<?php $this->load->view("site/blocks/after_body.php"); ?>
            <!-- modal -->
<div id="test" style="display:none;" class="myModal">
    <div class="myModalWrapp">
        <button type="button" class="closeBtn"></button>
        <p id="popup_title" class="modalTitle"><?php if($this->session->userdata('lang')==1) { echo "პერსონალი"; }else{ echo "Personnel"; } ?></p>
        <div class="modalSoc">
            <button type="button">
                <i class="fa fa-facebook"></i>
                <div class="fb-share-button" data-href="" data-layout="icon"></div>
            </button>
            <button type="button">
                <i class="fa fa-google-plus"></i>
                <a class="googlePshare" href="" onclick="javascript:window.open(this.href,
                '<?php echo $_SERVER["REQUEST_URI"]; ?>', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;">
                <img src="https://www.gstatic.com/images/icons/gplus-32.png" alt="Share on Google+"/>
                </a>
            </button>
            <button type="button">
                <a class="twitter popup" href="http://twitter.com/share"><i class="fa fa-twitter"></i></a>
            </button>
            <button type="button" id="printDiv">
                <i class="fa fa-print"></i>
            </button>
        </div>
        <div id="print" class="myModalContent">
            <b><p id="popup_title2"></p></b>
            <b><p id="popup_position"></p></b><br/>
            <img class="popupImage" src="">
            <div class="myModalContent2">
                
            </div>
        </div>
    </div>
</div>

<div id="wrapper">
<?php $this->load->view("site/blocks/schools_header_personnel.php"); ?>
<div class="overlay-back"></div>
<div class="pageWrap">
	<ul class="breadcrump">
		<li>
			<a href="/">
                <?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?>
            </a>
		</li>
		<img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
		<li>
            <a href="<?=base_url()?>schools/index/<?=$header['school_id']?>">
                <?=$title['title']?>
            </a>
        </li>
        <img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
        <li>
            <a href="<?=base_url()?>school_personnel/index/<?=$header['school_id']?>/<?=$breadCrump['uId']?>">
                <?php
                $actual_link = "http://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
                $actual_link = trim(strtok($actual_link, '?'));
                if($actual_link == "http://gruni.edu.ge/school_personnel/index/1442824513/1446133993") {
                    if($this->session->userdata('lang')==1) { echo "მასწავლებელთა პერსონალი"; }else{ echo "Academic Personnel"; } 
                } else {
                    if($this->session->userdata('lang')==1) { echo "აკადემიური პერსონალი"; }else{ echo "Academic Personnel"; } 
                }
                ?>
            </a>
        </li>
        <img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
        <li>
            <?=$breadCrump['name'];?>
        </li>
	</ul>

	<?php $this->load->view("site/blocks/personnel_header.php"); ?>

	<div class="leftContent multimediaContent">

        <div class="gallery">
            <img src='<?=base_url()?>assets/img/loader.gif' class='galleryLoader centerV' />

            <?php
            $this->load->helper('directory');
            foreach ($personnel as $row):
            if(!empty($row['name'])){ ?>
            <div class="galleryAlbumWrap">
                <a href="#sBlock-<?=$row['uId']?>" class="modal personal-model" title="<?=$row['name']?>" >
                    <img class="galleryImage" src="<?=$row['img']?>" />
                    <div class="person-content" style="display:none;"><?=$row['page']?> </div>
                    <div class="person-position" style="display:none;"><?=$row['position']?> </div>
                </a>
                

                <h3><?=$row['name']?></h3>
                <!-- <p><?=$row['position']?></p> -->
            </div>
            <?php } endforeach; ?>
            
        <div class="clear"></div>
        </div>

        <?php if ($pages) { ?>
        <div class="pagingBox">
            <?=$pages?>
        </div>
        <?php } ?>

	<div class="clear"></div>
	</div>

<div class="clear"></div>
</div>

<script>
// $(function() {
//     $('.personnel .galleryAlbumWrap p').ellipsis({ responsive: true });
// });

$(window).load(function(){
    $(".galleryLoader").fadeOut("fast");
});

width = $(window).width();
if (width < 1270) { 
    box_width = "16.2%";
    $( ".galleryAlbumWrap:nth-child(6n+1)" ).addClass( "columnLast" );
}else{
    box_width = "14%";
    $( ".galleryAlbumWrap:nth-child(7n+1)" ).addClass( "columnLast" );
}

$(window).bind("load", function() {
    $('.galleryAlbumWrap').each(function(i) {
        $(this).delay((i++) * 200).animate({ "width": box_width }, 50 );
    })
});

$('.personal-model').click(function(event){
    var id = $(this).attr('href');
    var title = $(this).attr('title');
    var image = $(this).find('.galleryImage').attr('src');
    var content = $(this).find('.person-content').html();
    var position = $(this).find('.person-position').html();
   
    $("#test").attr("id",id);
    $(".popupImage").attr('src',image);
    $("#popup_title2").html(title);
    $("#popup_position").html(position);
    $(".myModalContent2").html(content);
     
});

$(".myModal").click(function(){    
    var red = document.location;
    $(".googlePshare").attr("href","https://plus.google.com/share?url={"+red+"}");
    $(".fb-share-button").attr("data-href",red);
});
</script>
<?php require("blocks/footer.php");?>
</body>
</html>