
<!DOCTYPE html>
<html lang="en">
<head>
	<?php $this->load->view("site/blocks/head.php"); ?>
    <title><?=$title['title'];?></title>
    <meta name="description" content="თანამედროვე განათლება - თანამედროვე უნივერსიტეტში"/>
    <meta property="og:title" content="<?=$title['title'];?>"/>
    <meta property="og:type" content="university"/>
    <meta property="og:image" content="<?=base_url()?><?=$title['img'];?>"/>
    <meta property="og:site_name" content="gruni.indygo.ge"/>
    <meta property="og:description" content="თანამედროვე განათლება - თანამედროვე უნივერსიტეტში"/>
	<link rel="stylesheet" type="text/css" href="<?=base_url()?>assets/css/schools.css">

	<script type='text/javascript' src='<?=base_url()?>assets/js/amazingsliderbc19.js'></script>
<script type="text/javascript">
jQuery(document).ready(function(){
    var jsFolder = config.base +  "assets/js/";
    jQuery("#amazingslider-14").amazingslider({
        jsfolder:jsFolder,
        width:1200,
        height:480,
        watermarkstyle:"text",
        loadimageondemand:false,
        watermarktext:"#",
        isresponsive:true,
        autoplayvideo:false,
        watermarkimage:"",
        pauseonmouseover:true,
        watermarktextcss:"",
        randomplay:false,
        showwatermark:false,
        watermarklinkcss:"",
        slideinterval:7000,
        watermarktarget:"_blank",
        watermarkpositioncss:"display:block;position:absolute;top:4px;left:4px;",
        watermarklink:"#",
        transitiononfirstslide:false,
        loop:0,
        autoplay:true,
        navplayvideoimage:"play-32-32-0.png",
        navpreviewheight:60,
        timerheight:2,
        skin:"Ribbon",
        textautohide:true,
        addgooglefonts:false,
        navshowplaypause:true,
        navshowplayvideo:true,
        navbuttonradius:0,
        navpreviewposition:"top",
        navradius:0,
        showshadow:false,
        navfeaturedarrowimagewidth:16,
        navpreviewwidth:120,
        googlefonts:"Inder",
        textpositionmarginright:24,
        bordercolor:"#ffffff",
        navthumbnavigationarrowimagewidth:32,
        navthumbtitlehovercss:"text-decoration:underline;",
        arrowwidth:32,
        navmargin:16,
        texteffecteasing:"easeOutCubic",
        texteffect:"fade",
        navspacing:4,
        navarrowimage:"navarrows-28-28-0.png",
        ribbonimage:"ribbon_topright-0.png",
        navwidth:24,
        navheight:24,
        timeropacity:0.6,
        navthumbnavigationarrowimage:"carouselarrows-32-32-0.png",
        navpreviewbordercolor:"#ffffff",
        ribbonposition:"topright",
        navthumbdescriptioncss:"display:block;position:relative;padding:2px 4px;text-align:left;font:normal 12px Arial,Helvetica,sans-serif;color:#333;",
        arrowstyle:"mouseover",
        navthumbtitleheight:20,
        textpositionmargintop:24,
        navswitchonmouseover:false,
        playvideoimage:"playvideo-64-64-1.png",
        arrowimage:"chevron.png",
        textstyle:"static",
        playvideoimageheight:64,
        navfonthighlightcolor:"#666666",
        showbackgroundimage:false,
        navpreviewborder:4,
        navdirection:"horizontal",
        navbuttonshowbgimage:true,
        navbuttonbgimage:"navbuttonbgimage-28-28-0.png",
        navthumbnavigationarrowimageheight:32,
        textbgcss:"display:block; position:absolute; top:0px; left:0px; width:100%; height:100%; background-color: black; opacity:0.9; filter:alpha(opacity=60);",
        shadowcolor:"#aaaaaa",
        navborder:4,
        bottomshadowimagewidth:110,
        showtimer:true,
        navshowpreview:true,
        navpreviewarrowheight:8,
        navfeaturedarrowimage:"featuredarrow-16-8-0.png",
        showribbon: false,
        navfeaturedarrowimageheight:8,
        navstyle:"bullets",
        textpositionmarginleft:24,
        descriptioncss:"display:block; position:relative; margin-top:4px; font:16px bpg_arial_2010; color:#fff;",
        navplaypauseimage:"navplaypause-28-28-0.png",
        backgroundimagetop:-10,
        timercolor:"#ffffff",
        navfontsize:12,
        navhighlightcolor:"#333333",
        navimage:"bullet-24-24-1.png",
        navbuttoncolor:"#999999",
        navshowarrow:true,
        navshowfeaturedarrow:false,
        titlecss:"display:block; position:relative; font: 18px bpg_mrgvlovani_caps_2010; color:#fff;",
        ribbonimagey:-8,
        ribbonimagex:-8,
        shadowsize:5,
        arrowhideonmouseleave:1000,
        navopacity:0.8,
        backgroundimagewidth:120,
        navcolor:"#999999",
        navthumbtitlewidth:120,
        playvideoimagewidth:64,
        arrowheight:68,
        arrowmargin:8,
        texteffectduration:1000,
        bottomshadowimage:"bottomshadow-110-95-3.png",
        border:0,
        timerposition:"bottom",
        navfontcolor:"#333333",
        navthumbnavigationstyle:"arrow",
        borderradius:0,
        navbuttonhighlightcolor:"#333333",
        textpositionstatic:"bottom",
        navthumbstyle:"imageonly",
        textcss:"display:block; padding:12px; text-align:left;",
        navbordercolor:"#ffffff",
        navpreviewarrowimage:"previewarrow-16-8-0.png",
        showbottomshadow:false,
        backgroundimage:"",
        navposition:"bottom",
        navpreviewarrowwidth:16,
        bottomshadowimagetop:95,
        textpositiondynamic:"bottomleft",
        navshowbuttons:false,
        navthumbtitlecss:"display:block;position:relative;padding:2px 4px;text-align:left;font:bold 14px Arial,Helvetica,sans-serif;color:#333;",
        textpositionmarginbottom:24,
        transition:"fade"
    });
});
</script>


    <link rel="stylesheet/less" type="text/css" href="<?=base_url()?>assets/calendar/calendar.css" />
    <script src="<?=base_url()?>assets/calendar/js/less.js" type="text/javascript"></script>
    <script src="<?=base_url()?>assets/calendar/js/underscore.js" type="text/javascript"></script>
    <script src="<?=base_url()?>assets/calendar/js/moment.js" type="text/javascript"></script>
    <script type="text/javascript">
    $(document).ready(function(){
      <?php if($this->session->userdata('lang') == 1 ){echo "moment.locale('ka');";} else{echo "moment.locale('en');";} ?>
       });
    </script>
    <script src="<?=base_url()?>assets/calendar/js/clndr.js" type="text/javascript"></script>

<script>
var clndr = {};

$( function() {
    
    $.ajax({
        url: config.base + "all_announce/get_calendar_announce",
        type: "POST",       
        dataType: "json",
        success: function(data) {
            var events = data;
            
            $('#mini-clndr').clndr({
            template: $('#mini-clndr-template').html(),
            events: events,
            clickEvents: {
              click: function(target) {
                if(target.events.length) {
                  var daysContainer = $('#mini-clndr').find('.days-container');
                  daysContainer.toggleClass('show-events', true);
                  $('#mini-clndr').find('.x-button').click( function() {
                    daysContainer.toggleClass('show-events', false);
                  });
                }
              }
            },
            adjacentDaysChangeMonth: true,
            forceSixRows: true
          });

        }
    });

    var school_id = window.location.pathname;
    school_id = school_id.substr( school_id.lastIndexOf("/")+1, school_id.length);
    $.ajax({
        url: config.base + "all_news/get_calendar_school_news",
        type: "POST",
        data: {
            school_id : school_id
        },     
        dataType: "json",
        success: function(data) {
            var events = data;
            
            $('#mini-clndr-news').clndr({
            template: $('#mini-clndr-template-news').html(),
            events: events,
            clickEvents: {
              click: function(target) {
                if(target.events.length) {
                  var daysContainer = $('#mini-clndr-news').find('.days-container');
                  daysContainer.toggleClass('show-events', true);
                  $('#mini-clndr-news').find('.x-button').click( function() {
                    daysContainer.toggleClass('show-events', false);
                  });
                }
              }
            },
            adjacentDaysChangeMonth: true,
            forceSixRows: true
          });

        }
    });
});
</script>

</head>
<body class="school fixedLangBox">
<?php $this->load->view("site/blocks/after_body.php"); ?>
<div class="overlay-back"></div>
<?php if((get_cookie('update_time_school_'.$popup['school_id']) != $popup['update_time']) && $popup['isactive']=='1' ):
    $cookie = array(
        'name'   => 'update_time_school_'.$popup['school_id'],
        'value'  => $popup['update_time'],
        'expire' => time()+86500
    );
    set_cookie($cookie);
?>
<div id="popup_box">    
    <?=$popup['popup'];?>
    <a id="popupBoxClose">X</a> 
</div>
<script>
$(document).ready( function() {

    // When site loaded, load the Popupbox First
    loadPopupBox();

    $('#popupBoxClose').click( function() {         
        unloadPopupBox();
    });
    
    $('#wrapper').click( function() {
        unloadPopupBox();
    });

    function unloadPopupBox() { // TO Unload the Popupbox
        $('#popup_box').fadeOut("slow");
        $("#wrapper").css({ // this is just for style       
            "opacity": "1"  
        }); 
    }   
    
    function loadPopupBox() {   // To Load the Popupbox
        $('#popup_box').fadeIn("slow");
        $("#wrapper").css({ // this is just for style
            "opacity": "0.3"  
        });         
    }
    /**********************************************************/
    
});
</script>
<?php endif;?>

        <!-- modal -->
<div id="test" style="display:none;" class="myModal">
    <div class="myModalWrapp">
        <button type="button" class="closeBtn"></button>
        <p id="popup_title" class="modalTitle"> </p>
        <div class="modalSoc">
            <button type="button">
                <i class="fa fa-facebook"></i>
                <div class="fb-share-button" data-href="<?php echo $_SERVER['REQUEST_URI']; ?>" data-layout="icon"></div>
            </button>
            <button type="button">
                <i class="fa fa-google-plus"></i>
                <a class="googlePshare" href="https://plus.google.com/share?url={<?php echo $_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"]; ?>}" onclick="javascript:window.open(this.href,
                    '<?php echo $_SERVER["REQUEST_URI"]; ?>', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;">
                    <img src="https://www.gstatic.com/images/icons/gplus-32.png" alt="Share on Google+"/>
                </a>
            </button>
            <button type="button">
                <a class="twitter popup" href="http://twitter.com/share"><i class="fa fa-twitter"></i></a>
            </button>
            <button type="button" id="printDiv">
                <i class="fa fa-print"></i>
            </button>
        </div>
        <div id="print" class="myModalContent">
            
        </div>
    </div>
</div>


<div id="wrapper">

<?php $this->load->view("site/blocks/schools_header.php"); ?>

	<div id="primary">           
		<div class="demo-slider">
		    <div id="amazingslider-14">
		        <ul class="amazingslider-slides" style="display:none;">
		            <?php foreach($sliders as $slider): ?>		            
		            <li> 
                        
                        <img src="<?=$slider['img'];?>" alt="
                            <a href='<?=$slider['link'];?>' <?php if($slider['blank']=='1'){echo 'target=\'_blank\'';}?> >
                            <?=$slider['title'];?>
                            </a>"
                            data-description="
                            <a href='<?=$slider['link'];?>' <?php if($slider['blank']=='1'){echo 'target=\'_blank\'';}?> >
                            <?=$slider['caption'];?>
                            </a>" />
                        <?php if($slider['youtube'] != NULL): ?>
		                <video preload="none" src="<?=$slider['youtube'];?>"></video>
		                <?php endif; ?>
                    </li>
		            <?php endforeach;?>
		        </ul>
		        <ul class="amazingslider-thumbnails" style="display:none;">
		            <?php foreach($sliders as $slider): ?>                    
                        <li><img src="<?=$slider['img'];?>" /></li>
                    <?php endforeach;?>
		        </ul>
		    </div>
		</div>			
	</div><!-- #primary -->

<div class="pageWrap">

<div class="leftContentS">

	<ul class="breadcrump">
		<li>
			<a href="/"><?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?></a>
		</li>
		<img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
		<li>
			<?=$title['title'];?>
		</li>
	</ul>






	<div class="menu-blocks">
        <?php foreach ($mainBlocks as $row): ?>
		<figure class="menu-block">
			<img src="<?=$row['imglink'];?>">
			<div class="menu-effect-box">
				<h2 style="background-color:<?=$row['color'];?>;"><span class="centerV"><?=$row['name'];?></span></h2>
				<figcaption class="menu-content-box" style="background-color:<?=$row['color'];?>;">
                    <?=$row['cont'];?>
					<?php foreach ($mainBlocksPosts[$row['uId']] as $post): ?>
                        <p><i class="fa fa-link"></i> <a href="#sBlock-<?=$post['uId']?>" class="modal modal-sch"><?=$post['title']?></a></p>
                    <?php endforeach; ?>
                </figcaption>
            </div>
        </figure>
        <?php endforeach; ?>

            <figure class="menu-block">
                <img src="<?=base_url()?><?=$header['personnel_block_image'];?>">
                <div class="menu-effect-box">
                    <h2 style="background-color:<?=$header['personnel_block_color'];?>;">
                    	<span class="centerV">
                    		<?php
                    		$actual_link = "http://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
                    		if($actual_link == "http://gruni.edu.ge/schools/index/1442824513") {
                    			if($this->session->userdata('lang')==1) { echo "მასწავლებელთა პერსონალი"; }else{ echo "Academic Personnel"; } 
                    		} else { 
                    			if($this->session->userdata('lang')==1) { echo "აკადემიური პერსონალი"; }else{ echo "Academic Personnel"; } 
                    		}
                    		?>
                    	</span>
                    </h2>
                    <figcaption class="menu-content-box" style="background-color:<?=$header['personnel_block_color'];?>;">
                        <?php foreach ($cat as $value): ?>
                        <li><a href="<?=base_url()?>school_personnel/index/<?=$header['school_id']?>/<?=$value['uId']?>"><span><?=$value['name']?></span></a></li>
                        <?php endforeach; ?>
                    </figcaption>
                </div>
            </figure>
            <?php if($newscount != '0') :?>
            <figure class="menu-block" id="news-cal">
                <img src="<?=base_url()?><?=$header['news_calendar_image'];?>">
                <div class="menu-effect-box">
                    <h2 style="background-color:<?=$header['news_calendar_color'];?>;"><span class="centerV"><?php if($this->session->userdata('lang')==1) { echo "ახალი ამბები"; }else{ echo "News"; } ?></span></h2>
                    <figcaption class="menu-content-box" style="background-color:<?=$header['news_calendar_color'];?>;">
                    <div id="mini-clndr-news">
                            <script id="mini-clndr-template-news" type="text/template">

                              <div class="controls">
                                <div class="clndr-previous-button">&lsaquo;</div><div class="month"><%= month %>&nbsp;<%= year %></div><div class="clndr-next-button">&rsaquo;</div>
                              </div>

                              <div class="days-container">
                                <div class="days">
                                  <div class="headers">
                                    <% _.each(daysOfTheWeek, function(day) { %><div class="day-header"><%= day %></div><% }); %>
                                  </div>
                                  <% _.each(days, function(day) { %><div class="<%= day.classes %>" id="<%= day.id %>"><%= day.day %></div><% }); %>
                                </div>
                                <div class="events">
                                  <div class="headers">
                                    <div class="x-button">x</div>
                                    <div class="event-header">
                                        <?php if($this->session->userdata('lang')==1) { echo "თვის სიახლეები"; }else{ echo "Events Of This Month"; } ?>
                                    </div>
                                  </div>
                                  <div class="events-list">
                                    <% _.each(eventsThisMonth, function(event) { %>
                                      <div class="event">
                                        <a href="<%= event.url %>"><%= moment(event.date).format('D MMMM') %>: <%= event.title %></a>
                                      </div>
                                    <% }); %>
                                  </div>
                                </div>
                              </div>

                            </script>
                        </div>
                    </figcaption>
                </div>
            </figure>
            <?php endif; ?>
            <figure class="menu-block" id="announce-cal">
                <img src="<?=base_url()?><?=$header['announce_calendar_image'];?>">
                <div class="menu-effect-box">
                    <h2 style="background-color:<?=$header['announce_calendar_color'];?>;"><span class="centerV"><?php if($this->session->userdata('lang')==1) { echo "ანონსი"; }else{ echo "Announce"; } ?></span></h2>
                    <figcaption class="menu-content-box" style="background-color:<?=$header['announce_calendar_color'];?>;">
                        <div id="mini-clndr">
                            <script id="mini-clndr-template" type="text/template">

                              <div class="controls">
                                <div class="clndr-previous-button">&lsaquo;</div><div class="month"><%= month %>&nbsp;<%= year %></div><div class="clndr-next-button">&rsaquo;</div>
                              </div>

                              <div class="days-container">
                                <div class="days">
                                  <div class="headers">
                                    <% _.each(daysOfTheWeek, function(day) { %><div class="day-header"><%= day %></div><% }); %>
                                  </div>
                                  <% _.each(days, function(day) { %><div class="<%= day.classes %>" id="<%= day.id %>"><%= day.day %></div><% }); %>
                                </div>
                                <div class="events">
                                  <div class="headers">
                                    <div class="x-button">x</div>
                                    <div class="event-header">
                                        <?php if($this->session->userdata('lang')==1) { echo "თვის ანონსები"; }else{ echo "Events Of This Month"; } ?>
                                    </div>
                                  </div>
                                  <div class="events-list">
                                    <% _.each(eventsThisMonth, function(event) { %>
                                      <div class="event">
                                        <a href="<%= event.url %>"><%= moment(event.date).format('D MMMM') %>: <%= event.title %></a>
                                      </div>
                                    <% }); %>
                                  </div>
                                </div>
                              </div>

                            </script>
                        </div>
                    </figcaption>
                </div>
            </figure> 
		
		<div class="clear"></div>
	</div>

<script>
$(window).load(function(){
	var news_cal = $("#news-cal");
	var news_after = $(".menu-blocks .menu-block:nth-of-type(7)");

	news_cal.insertAfter(news_after);

	var announce_cal = $("#announce-cal");
	var news_after = $(".menu-blocks .menu-block:nth-of-type(3)");

	announce_cal.insertAfter(news_after);

    $('iframe').attr("allowfullscreen","allowfullscreen");
});
</script>

<div class="clear"></div>
</div>

	<!-- <aside class="rightContent">

        <div>
            <h2 id="latestNewsTitle" title="ყველა სიახლე"><a href="<?=base_url()?>all_news?school_id=<?=$header['school_id']?>">სიახლეები</a></h2>

                <?php foreach($news as $value): ?>
                <figure class="news">
                    <a href="<?=base_url()?>school_news/index/<?=$value['uId']?>/<?=$header['school_id']?>">
                        <div class="crop"><img src="<?=base_url()?><?=$value['main_img']?>"></div>
                        <p><span class="ellip"><?=$value['title']?></span></p>
                        <span><?=$value['date']?></span>
                    </a>
                <div class="clear"></div>
                </figure>
                <?php endforeach; ?>
            

            
        <div class="clear"></div>
        </div>
        
	<div class="clear"></div>
	</aside>
 -->
<div class="clear"></div>
</div>

<script>
$('.news p').ellipsis({ responsive: true });
</script>
<?php require("blocks/footer.php");?>
</body>
</html>