<!DOCTYPE html>
<html lang="en">
<head>
    <?php $this->load->view("site/blocks/head.php"); ?>
    <title><?php if($this->session->userdata('lang')==1) { echo "ძიება"; }else{ echo "Search"; } ?></title>
    <link rel="stylesheet" type="text/css" href="<?=base_url()?>assets/css/animate.css">
    <script type="text/javascript">
        $(document).ready(function(){
            $(".menusearch").click(function(){
                var id = $(this).attr('href');
                 $.ajax({
                    url: config.base + "search/get_content",
                    type: "POST",
                    data: ({
                         id: id
                    }),
                    success: function(data) {
                        var items = $.parseJSON(data);
                        
                       $('.searchMenuOpen').html(items[0].content); 
                    }
                });     
                return false; 
            });
        });
    </script>
</head>
<body>
<div id="wrapper">
<?php $this->load->view("site/blocks/header.php"); ?>
<div class="overlay-back"></div>
<div class="pageWrap">

    <ul class="breadcrump">
        <li>
            <a href="<?=base_url()?>">
                <?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?>
            </a>
        </li>
        <img class="breadcrump-arrow" src="<?=base_url()?>/assets/img/chevron-down.png">
        <li>
            <?php if($this->session->userdata('lang')==1) { echo "ძიება"; }else{ echo "Search"; } ?>
        </li>
       
    </ul>

    <?php $this->load->view("site/blocks/search_menu.php"); ?>

    <div class="searchResultsWrap">

    <ul class="searchMenu">
    <?php foreach ($content as $value): ?>
        <li><a class="menusearch" href="<?=$value['id']?>"><?=$value['title']?></a></li>
    <?php endforeach;?>        
    </ul>
        
    <div class="searchMenuOpen">
     </div>

    <div class="clear"></div>
    </div>

</div>
<script>
$(document).ready(function(){
    $( ".searchResAnItem:nth-child(4n+4)" ).addClass( "columnLast" );
});

$(window).bind("load", function() {

    $('.searchNewsGrid').addClass('animated tada');

});
</script>
<?php require("blocks/footer.php");?>
</body>
</html>