<!DOCTYPE html>
<html lang="en">
<head>
    <?php $this->load->view("site/blocks/head.php"); ?>
    <title><?php if($this->session->userdata('lang')==1) { echo "ძიება"; }else{ echo "Search"; } ?></title>
    <link rel="stylesheet" type="text/css" href="<?=base_url()?>assets/css/animate.css">
<style>
.galleryImage { margin: 0 auto; }
</style>
</head>
<body>
<div id="test" style="display:none;" class="myModal">
    <div class="myModalWrapp">
        <button type="button" class="closeBtn"></button>
        <p id="popup_title" class="modalTitle"><?php if($this->session->userdata('lang')==1) { echo "პერსონალი"; }else{ echo "Personnel"; } ?></p>
        <div class="modalSoc">
            <button type="button">
                <i class="fa fa-facebook"></i>
                <div class="fb-share-button" data-href="" data-layout="icon"></div>
            </button>
            <button type="button">
                <i class="fa fa-google-plus"></i>
                <a class="googlePshare" href="" onclick="javascript:window.open(this.href,
                '<?php echo $_SERVER["REQUEST_URI"]; ?>', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;">
                <img src="https://www.gstatic.com/images/icons/gplus-32.png" alt="Share on Google+"/>
                </a>
            </button>
            <button type="button">
                <a class="twitter popup" href="http://twitter.com/share"><i class="fa fa-twitter"></i></a>
            </button>
            <button type="button" id="printDiv">
                <i class="fa fa-print"></i>
            </button>
        </div>
        <div id="print" class="myModalContent">
            <b><p id="popup_title2"></p></b>
            <b><p id="popup_position"></p></b><br/>
            <img class="popupImage" src="">
            <div class="myModalContent2">
                
            </div>
        </div>
    </div>
</div>
<div id="wrapper">
<?php $this->load->view("site/blocks/header.php"); ?>
<div class="overlay-back"></div>
<div class="pageWrap searchPersonnel">

    <ul class="breadcrump">
        <li>
            <a href="<?=base_url()?>">
                <?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?>
            </a>
        </li>
        <img class="breadcrump-arrow" src="<?=base_url()?>/assets/img/chevron-down.png">
        <li>
            <?php if($this->session->userdata('lang')==1) { echo "ძიება"; }else{ echo "Search"; } ?>
        </li>       
    </ul>

    <?php $this->load->view("site/blocks/search_menu.php"); ?>

    <div class="gallery personnel">
        <?php foreach ($content as $value): ?>
        <div class="galleryAlbumWrap">
            <a href="#sBlock-<?=$value['uId']?>" class="modal personal-model" title="<?=$value['name']?>" >
                <img class="galleryImage" src="<?=$value['img']?>" />
                <div class="person-content" style="display:none;"><?=$value['page']?></div>
                <div class="person-position" style="display:none;"><?=$value['position']?></div>
            </a>

            <h3><?=$value['name']?></h3>
            <!-- <p><?=$row['position']?></p> -->
        </div>
        <?php endforeach;?>

    <div class="clear"></div>
    </div>

</div>
<script>
$(window).load(function(){
    $(".galleryLoader").fadeOut("fast");
});

width = $(window).width();
if (width < 1270) { 
    box_width = "15.8%";
     $( ".galleryAlbumWrap:nth-child(6n+6)" ).addClass( "columnLast" );
}else{
    box_width = "14%";
     $( ".galleryAlbumWrap:nth-child(7n+7)" ).addClass( "columnLast" );
}

$(window).bind("load", function() {
    $('.galleryAlbumWrap').each(function(i) {
        $(this).delay((i++) * 200).animate({ "width": box_width }, 50 );
    })
});

$('.personal-model').click(function(event){
    var id = $(this).attr('href');
    var title = $(this).attr('title');
    var image = $(this).find('.galleryImage').attr('src');
    var content = $(this).find('.person-content').html();
    var position = $(this).find('.person-position').html();
   
    $("#test").attr("id",id);
    $("#popup_title2").html(title);
    $(".popupImage").attr('src',image);
    $("#popup_position").html(position);
    $(".myModalContent2").html(content);
     
});

$(".myModal").click(function(){    
    var red = document.location;
    $(".googlePshare").attr("href","https://plus.google.com/share?url={"+red+"}");
    $(".fb-share-button").attr("data-href",red);
});
</script>
<?php require("blocks/footer.php");?>
</body>
</html>