	<!DOCTYPE html>
<html lang="en">
<head>
    <?php $this->load->view("site/blocks/head.php"); ?>
    <title><?php if($this->session->userdata('lang')==1) { echo "ვიდეო გალერეა"; }else{ echo "Video Gallery"; } ?></title>
    <link rel="stylesheet" type="text/css" href="<?=base_url()?>assets/css/animate.css">
</head>
<body class="videoGallery">
<div id="wrapper">
<?php $this->load->view("site/blocks/header.php"); ?>
<div class="overlay-back"></div>
<div class="pageWrap">

    <ul class="breadcrump">
        <li>
            <a href="/">
                <?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?>
            </a>
        </li>
        <img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
        <li>
            <a href="<?=base_url()?>photo_gallery">
                <?php if($this->session->userdata('lang')==1) { echo "მულტიმედია"; }else{ echo "Multimedia"; } ?>
            </a>
        </li>
        <img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
        <li>
            <?php if($this->session->userdata('lang')==1) { echo "ვიდეო გალერეა"; }else{ echo "Video Gallery"; } ?>
        </li>
    </ul>

    <?php $this->load->view("site/blocks/multimedia_header.php"); ?>

    <div class="leftContent multimediaContent">

        <div class="gallery">
            <img src='<?=base_url()?>assets/img/loader.gif' class='galleryLoader centerV' />

            <?php foreach ($vGallery as $row): ?>

            <div class="galleryAlbumWrap">
                <a href="<?=$row['link']?>" class="nyroModal" rel="videoGal" title="<?=$row['title']?>">
                    <img class="galleryImage" src="<?=$row['image']?>" />
                </a>

                <h3><i class="fa fa-video-camera"></i> <?=$row['title']?></h3>
            </div>
            <?php endforeach; ?>
            
        <div class="clear"></div>
        </div>
        <?php if ($pages) { ?>
        <div class="pagingBox">
            <?=$pages?>
        </div>
        <?php } ?>

    <div class="clear"></div>
    </div>

<div class="clear"></div>
</div>
<script>
function getJsonFromUrl() {
  var query = location.search.substr(1);
  var result = {};
  query.split("&").forEach(function(part) {
    var item = part.split("=");
    result[item[0]] = decodeURIComponent(item[1]);
  });
  return result;
}

$(window).load(function(){
	var data = getJsonFromUrl();
    var newText = $('.id'+data.cat).text();
	if(data.cat != undefined){
        $(".breadcrump").append('<img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png"><li>'+ newText +'</li>');
    }
    $(".galleryLoader").fadeOut("fast");
});

width = $(window).width();
if (width < 1270) { 
    box_width = "15.7%";
    $( ".galleryAlbumWrap:nth-child(6n+1)" ).addClass( "columnLast" );
}else{
    box_width = "14%";
    $( ".galleryAlbumWrap:nth-child(7n+1)" ).addClass( "columnLast" );
}

$(window).bind("load", function() {
    $('.galleryAlbumWrap').each(function(i) {
        $(this).delay((i++) * 200).animate({ "width": box_width }, 50 );
    })
});
$(function() {
    $('.nyroModal').nm();
    window.setInterval(function(){
        $('iframe').attr("allowfullscreen","allowfullscreen");
    }, 1000);
});
</script>
<?php require("blocks/footer.php");?>
</body>
</html>