<!DOCTYPE html>
<html lang="en">
<head>
	<?php $this->load->view("site/blocks/head.php"); ?>
    <title><?php if($this->session->userdata('lang')==1) { echo "ვიდეო მესიჯი"; }else{ echo "Video Message"; } ?></title>
    <link rel="stylesheet" type="text/css" href="assets/css/animate.css">
</head>
<body class="videoGallery">
<div id="wrapper">
<?php $this->load->view("site/blocks/header.php"); ?>
<div class="overlay-back"></div>
<div class="pageWrap">

	<ul class="breadcrump">
        <li>
            <a href="/">
                <?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?>
            </a>
        </li>
        <img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
        <li>
            <a href="<?=base_url()?>photo_gallery">
                <?php if($this->session->userdata('lang')==1) { echo "მულტიმედია"; }else{ echo "Multimedia"; } ?>
            </a>
        </li>
        <img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
        <li>
            <?php if($this->session->userdata('lang')==1) { echo "ვიდეო მესიჯი"; }else{ echo "Video Message"; } ?>
        </li>
    </ul>

	<?php $this->load->view("site/blocks/multimedia_header.php"); ?>

	<div class="leftContent multimediaContent">

        <div class="gallery">
            <img src='assets/img/loader.gif' class='galleryLoader centerV' />

            <?php foreach ($vMessage as $row): ?>

            <div class="galleryAlbumWrap">
                <a href="<?=$row['link']?>" class="nyroModal" rel="videoGal" title="<?=$row['title']?>">
                    <img class="galleryImage" src="<?=$row['image']?>" />
                </a>

                <h3><i class="fa fa-camera"></i> <?=$row['title']?></h3>
            </div>
            
            <?php endforeach; ?>
            
        <div class="clear"></div>
        </div>

        <div class="pagingBox">
            <?=$pages?>
        </div>

	<div class="clear"></div>
	</div>

<div class="clear"></div>
</div>
<script>
$(window).load(function(){
    $(".galleryLoader").fadeOut("fast");
});

width = $(window).width();
if (width < 1270) { 
    box_width = "19%";
    $( ".galleryAlbumWrap:nth-child(5n+1)" ).addClass( "columnLast" );
}else{
    box_width = "16%";
    $( ".galleryAlbumWrap:nth-child(6n+1)" ).addClass( "columnLast" );
}

$(window).bind("load", function() {
    $('.galleryAlbumWrap').each(function(i) {
        $(this).delay((i++) * 200).animate({ "width": box_width }, 50 );
    })
});

$(function() {
    $('.nyroModal').nm();
});
</script>
<?php require("blocks/footer.php");?>
</body>
</html>