<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_langs extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model('langs_ad_model');
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index()
	{
		$data['langdatas']=$this->langs_ad_model->get_langs();
		$this->load->view('admin/langs/langs_manage',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function addlang()
	{
		$this->load->view('admin/langs/langs_add');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function addlangAction()
	{

		if(isset($_POST['add_lang_sbmt'])){

			$data=array(
				'lang'=>$_POST['langName'],
				'langFileName'=>$_POST['langFileName'],
				'level'=>$_POST['langLevel'],
				'active'=>$_POST['langActive']
			);
			$this->langs_ad_model->insert_lang($data);
			redirect(base_url().'admin/manage_langs');

		}

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function editlang($langID)
	{
		$data['langdata']=$this->langs_ad_model->get_lang($langID);
		$this->load->view('admin/langs/langs_edit',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function editlangAction($langID)
	{

		if(isset($_POST['edit_lang_sbmt'])){

			$data=array(
				'lang'=>$_POST['langName'],
				'langFileName'=>$_POST['langFileName'],
				'level'=>$_POST['langLevel'],
				'active'=>$_POST['langActive']
			);
			$this->langs_ad_model->update_lang($langID,$data);
			redirect(base_url().'admin/manage_langs');

		}

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function deletelang($langID)
	{
		$this->langs_ad_model->delete_lang($langID);
		redirect(base_url().'admin/manage_langs');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}