<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_school extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('school_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index(){
		$school_id = $this->session->userdata('school_id');
		$data['school_name']=$this->school_ad_model->get_school_name($school_id);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$data['schools']=$this->school_ad_model->get_posts($school_id);
		$this->load->view('admin/school/manage', $data);
	}
	
	function edit(){
		$school_id = $this->session->userdata('school_id');
		$data = array(
			'header' => $_POST['headerimg'], 
			'logo' => $_POST['logo'], 
			'header_eng' => $_POST['headerimg_eng'], 
			'logo_eng' => $_POST['logo_eng'],
			'hcolor' => $this->input->post("hcolor"), 
			'bcolor' => $this->input->post("bcolor"),
			'mcolor' => $this->input->post("mcolor"),
			'news_calendar_image' => $_POST['news_calendar_image'],
			'news_calendar_color' => $_POST['news_calendar_color'],
			'announce_calendar_image' => $_POST['announce_calendar_image'],
			'announce_calendar_color' => $_POST['announce_calendar_color'],
		);
		$this->school_ad_model->update($school_id,$data);
		redirect(base_url().'admin/manage_school');
	}
	


}