<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class School_personnel extends CI_Controller {

	//------------------------------------------------------------------------------------------------------------------------

	function __construct(){
		parent::__construct();
		$this->load->library('pagination');
		$this->load->model(array('personnel_model', 'school_model'));
	}

	//------------------------------------------------------------------------------------------------------------------------

	function index($school_id = 0,$cat =0, $offset = 0){
		$filter = $this->input->get('cat');
		//$config['per_page'] = 15;

		$personnel = $this->personnel_model->get_by_school($school_id, 0, $offset, $filter,$cat);

		$data['personnel']= $personnel['items'];
		$data['cat'] = $this->personnel_model->get_school_profs($school_id,$cat);
		$data['header'] = $this->school_model->get_header($school_id);
		$data['title'] = $this->school_model->get_title($school_id);
		$data['breadCrump'] = $this->personnel_model->get_bread($school_id, $cat);

		//$config['total_rows'] = $personnel['count'];

		// if(!empty($filter)){
		// 	$config['suffix'] = '?cat=' . $filter;
		// 	$config['first_url'] = base_url() . 'school_personnel/index/' . $school_id . '/?cat=' . $filter;			
		// }

		// $config['base_url'] = base_url() . 'school_personnel/index/' . $school_id. '/';
		// $config['attributes'] = array('class' => 'pagingButton');
		// $config['uri_segment'] = 4;
		//$this->pagination->initialize($config);
		//$data['pages'] = $this->pagination->create_links();
		$this->load->view('site/personnel', $data);
	}

	//-------------------------------------------------------------------------------------------------------------------------





}