<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Entrant_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function get_title($id){
		$query = $this->db->where(array('uId' =>$id ,'lang'=>$this->session->userdata('lang') ))->get('entrants');
		return $query->first_row('array');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_links($id){
		$query = $this->db->where('entrant_id',$id)->get('entrant');
		return $query->first_row('array');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function get_slider($id){
		$query = $this->db->where(array('entrant_id' =>$id ,'lang'=>$this->session->userdata('lang'), 'isactive'=>'1' ))->order_by("level","desc")->get('entrants_mainslider');
		return $query->result_array();
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function view_blocks($id){

		$this->db->select('*');
		$this->db->from('entrants_mainblocks');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','entrant_id'=>$id));
		$this->db->order_by("blocklevel","asc");
		$query=$this->db->get();
		return $query->result_array();
	}

	function view_blocks_posts($section_id){

		$this->db->select('*');
		$this->db->from('entrants_section');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','section_id'=>$section_id));
		$this->db->order_by("sectionlevel","asc");
		$this->db->limit(4);
		$query=$this->db->get();
		return $query->result_array();
	}
		//----------------------------------------------------------------------------------------------------------------------

	function get_entrant_section($uId) {
		$this->db->where('lang',$this->session->userdata('lang'));
		$query = $this->db->select("title, content")->where('uId', $uId)->get("entrants_section");
		$uId = $query->row();

		return $uId;
	}
	
}