<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Entrants_news_ad_model extends CI_Model{
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	
	function get_posts_by_id($id, $num=15,$start=0){
		$query = $this->db->select("uId")->where(array('entrant_id'=>$this->session->userdata('entrant_id')))->group_by("uId")->order_by("uId","desc")->limit($num,$start)->where("type",$id)->get("entrants_news");
		$uIds = $query->result_array();

		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('entrants_news')->join('langs', 'langs.langID = entrants_news.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}


	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts($num=15,$start=0){
		$query = $this->db->select("uId")->group_by("uId")->order_by("uId","desc")->limit($num,$start)->get("entrants_news");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('entrants_news')->join('langs', 'langs.langID = entrants_news.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts_count(){
		$this->db->select('uId')->from('entrants_news')->where('lang',1);
		$query=$this->db->get();
		return $query->num_rows();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('entrants_news')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('entrants_news',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('entrants_news',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('uId',$uId);
		$this->db->delete('entrants_news');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}