<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Entrants_section_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts($sec_id){
		$query = $this->db->select("uId")->group_by("uId")->order_by("sectionlevel","asc")->where(array('section_id'=>$sec_id,'entrant_id'=>$this->session->userdata('entrant_id')))->get("entrants_section");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('entrants_section')->join('langs', 'langs.langID = entrants_section.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId,$sec_id){
		$this->db->select('*')->from('entrants_section')->where(array('uId'=>$uId,'section_id'=>$sec_id,'entrant_id'=>$this->session->userdata('entrant_id')));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('entrants_section',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('entrants_section',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where(array('sectionlevel' => $uId, 'section_id' => $this->session->userdata('entrant_section_id')));
		$this->db->delete('entrants_section');
		$this->sort($uId);
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort($level){
		$this->db->set('sectionlevel', 'sectionlevel-1', FALSE);
		$this->db->where('section_id',$this->session->userdata('entrant_section_id'));
		$this->db->where('sectionlevel >', $level);
		$this->db->update('entrants_section');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){

		$this->db->set('sectionlevel', 'sectionlevel+1000', FALSE);
		$this->db->where('section_id',$this->session->userdata('entrant_section_id'));
		$this->db->where('sectionlevel', $id-1);
		$this->db->update('entrants_section');

		$this->db->set('sectionlevel', 'sectionlevel-1', FALSE);
		$this->db->where('section_id',$this->session->userdata('entrant_section_id'));
		$this->db->where('sectionlevel', $id);
		$this->db->update('entrants_section');

		$this->db->set('sectionlevel', 'sectionlevel-999', FALSE);
		$this->db->where('sectionlevel', $id+999);
		$this->db->where('section_id',$this->session->userdata('entrant_section_id'));
		$this->db->update('entrants_section');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->db->set('sectionlevel', 'sectionlevel+1000', FALSE);
		$this->db->where('section_id',$this->session->userdata('entrant_section_id'));
		$this->db->where('sectionlevel', $id+1);
		$this->db->update('entrants_section');

		$this->db->set('sectionlevel', 'sectionlevel+1', FALSE);
		$this->db->where('section_id',$this->session->userdata('entrant_section_id'));
		$this->db->where('sectionlevel', $id);
		$this->db->update('entrants_section');

		$this->db->set('sectionlevel', 'sectionlevel-1001', FALSE);
		$this->db->where('section_id',$this->session->userdata('entrant_section_id'));
		$this->db->where('sectionlevel', $id+1001);
		$this->db->update('entrants_section');

	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function get_level(){
		$query = $this->db->select_max('sectionlevel')->where(array('section_id'=>$this->session->userdata('entrant_section_id'),'entrant_id'=>$this->session->userdata('entrant_id')))->get('entrants_section');
		return $query->result_array();
	}
}