<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Foots_nav_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts(){
		$query = $this->db->order_by("menulevel","asc")->where("footer_id",$this->session->userdata("footer"))->get("foot_menu");
		$res = $query->result_array();	
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('foot_menu')->where(array('id'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('foot_menu',$data);
		return $this->db->insert_id();
	}

	function insert_content($data){
		$this->db->insert('foot_menu_content',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$data){
		$this->db->where( array('id' => $uId));
		$this->db->update('foot_menu',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('menulevel',$uId);
		$this->db->delete('foot_menu');
		$this->sort($uId);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort($level){
		$this->db->set('menulevel', 'menulevel-1', FALSE);
		$this->db->where('menulevel >', $level);
		$this->db->update('foot_menu');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){

		$this->db->set('menulevel', 'menulevel+1000', FALSE);
		$this->db->where('menulevel', $id-1);
		$this->db->update('foot_menu');

		$this->db->set('menulevel', 'menulevel-1', FALSE);
		$this->db->where('menulevel', $id);
		$this->db->update('foot_menu');

		$this->db->set('menulevel', 'menulevel-999', FALSE);
		$this->db->where('menulevel', $id+999);
		$this->db->update('foot_menu');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->db->set('menulevel', 'menulevel+1000', FALSE);
		$this->db->where('menulevel', $id+1);
		$this->db->update('foot_menu');

		$this->db->set('menulevel', 'menulevel+1', FALSE);
		$this->db->where('menulevel', $id);
		$this->db->update('foot_menu');

		$this->db->set('menulevel', 'menulevel-1001', FALSE);
		$this->db->where('menulevel', $id+1001);
		$this->db->update('foot_menu');

	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_level(){
		$query = $this->db->select_max('menulevel')->get('foot_menu');
		return $query->result_array();
	}
}