<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Vgallery_cat_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts(){
		$query = $this->db->select("uId")->group_by("uId")->order_by("level","asc")->get("vgallery_cat");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('vgallery_cat')->join('langs', 'langs.langID = vgallery_cat.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts_count(){
		$this->db->select('uId')->from('vgallery_cat')->where('lang',1);
		$query=$this->db->get();
		return $query->num_rows();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('vgallery_cat')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('vgallery_cat',$data);
		return $this->db->insert_id();
		$this->sort($uId);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('vgallery_cat',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('uId',$uId);
		$this->db->delete('vgallery_cat');
		$this->remove_r($uId,'vgallery');
	}
	private function remove_r($id,$what){
		$this->db->where('cat_id',$id)->delete($what);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function sort($level){
		$this->db->set('level', 'level-1', FALSE);
		$this->db->where('level >', $level);
		$this->db->update('vgallery_cat');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function sort_up($id){

		$this->db->set('level', 'level+1000', FALSE);
		$this->db->where('level', $id-1);
		$this->db->update('vgallery_cat');

		$this->db->set('level', 'level-1', FALSE);
		$this->db->where('level', $id);
		$this->db->update('vgallery_cat');

		$this->db->set('level', 'level-999', FALSE);
		$this->db->where('level', $id+999);
		$this->db->update('vgallery_cat');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function sort_down($id){
		$this->db->set('level', 'level+1000', FALSE);
		$this->db->where('level', $id+1);
		$this->db->update('vgallery_cat');

		$this->db->set('level', 'level+1', FALSE);
		$this->db->where('level', $id);
		$this->db->update('vgallery_cat');

		$this->db->set('level', 'level-1001', FALSE);
		$this->db->where('level', $id+1001);
		$this->db->update('vgallery_cat');

	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_level(){
		$query = $this->db->select_max('level')->get('vgallery_cat');
		return $query->result_array();
	}

}