<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Vmessage_ad_model extends CI_Model{
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	
	function get_posts_by_id($id, $num=15,$start=0){
		$query = $this->db->select("uId")->group_by("uId")->order_by("uId","desc")->limit($num,$start)->where("cat_id",$id)->get("vmessage");
		$uIds = $query->result_array();

		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('vmessage')->join('langs', 'langs.langID = vmessage.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}


	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts($num=15,$start=0){
		$query = $this->db->select("uId")->group_by("uId")->order_by("uId","desc")->limit($num,$start)->get("vmessage");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('vmessage')->join('langs', 'langs.langID = vmessage.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts_count(){
		$this->db->select('uId')->from('vmessage')->where('lang',1);
		$query=$this->db->get();
		return $query->num_rows();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('vmessage')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('vmessage',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('vmessage',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('uId',$uId);
		$this->db->delete('vmessage');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}