<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleftinstitute.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage school personal</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_institutes_personal/add"><i class="fa fa-plus-circle"></i> Add Record</a>
	</div>

	<table class="itemsTable" border="1">
		<tr>
			<th>ID</th><th>name</th><th>image</th><th>Isactive</th><th>Edit</th><th>Delete</th>
		</tr>
		<?php foreach($rows as $row): ?>
		<tr>
			<td>
				<div><?=$row[0]['id']?></div>
			</td>
			<td>
				<div><?=$row[0]['name']?> / <?=$row[1]['name']?></div>
			</td>
			<td>
				<div><?php if(!empty($row[0]['img'])){echo '<img src="'.$row[0]['img'].'" />';} ?></div>
			</td>
			<td>
				<?php if($row[0]['isactive'] == 1){ echo "Yes"; }else{ echo "No"; } ?>
			</td>
			<td>
				<a class="linkButton" href="<?=base_url()?>admin/manage_institutes_personal/edit/<?=$row[0]['uId']?>"><i class="fa fa-edit"></i></a>
			</td>
			<td>
				<a class="linkButton" onclick="return confirm('Sure to delete?');" href="<?=base_url()?>admin/manage_institutes_personal/delete/<?=$row[0]['uId']?>"><i class="fa fa-trash-o"></i></a>
			</td>
		</tr>
		<?php endforeach; ?>
	</table>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>