<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleftschool.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage news</h2>
	</div>
	<div class="headBox">
		<ul class="breadcrumb">
			<li><a href="<?=base_url()?>admin/manage_school_news_cat">Manage News Category</a></li>
			<li><a href="#">Manage News</a></li>
		</ul>
		<a class="linkButton" href="<?=base_url()?>admin/manage_school_news/add"><i class="fa fa-plus-circle"></i> Add Record</a>
	</div>

	<table class="itemsTable" border="1">
		<tr>
			<th>ID</th><th>title - geo</th><th>title - eng</th><th>person - geo</th><th>person - eng</th><th>image</th><th>date</th><th>Edit</th><th>Delete</th>
		</tr>
		<?php foreach($rows as $row): ?>
		<tr>
			<td>
				<div><?=$row[0]['id']?></div>
			</td>
			<td>
				<div><?=$row[0]['title']?></div>
			</td>
			<td>
				<div><?=$row[1]['title']?></div>
			</td>
			<td>
				<div><?=$row[0]['content']?></div>
			</td>
			<td>
				<div><?=$row[1]['person']?></div>
			</td>
			<td>
				<div><?php if(!empty($row[0]['image'])){echo '<img src="'.$row[0]['image'].'" />';} ?></div>
			</school_td>
			<td>
				<div><?=$row[1]['date']?></div>
			</td>
			<td>
				<a class="linkButton" href="<?=base_url()?>admin/manage_school_news/edit/<?=$row[0]['uId']?>"><i class="fa fa-edit"></i></a>
			</td>
			<td>
				<a class="linkButton" onclick="return confirm('Sure to delete?');" href="<?=base_url()?>admin/manage_school_news/delete/<?=$row[0]['uId']?>"><i class="fa fa-trash-o"></i></a>
			</td>
		</tr>
		<?php endforeach; ?>
		<tr>
			<td colspan="9">
				<div class="pagingBox"><?=$pages?></div>
			</td>
		</tr>
	</table>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>