<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleftschool.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Edit record</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_school_personal_prof" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>
	
	<form class="validateForm" action="<?=base_url()?>admin/manage_school_personal_prof/edit/<?=$rows[0]['uId']?>" enctype="multipart/form-data" method="post" accept-charset="utf-8">

		<?php foreach ($rows as $row): ?>

		<div class="form-group">
			<label class="inputLabel">name - <?=$langs[$row['lang']-1]['lang']?></label><br/>
			<input type="text" class="input smallInput" name="name-<?=$langs[$row['lang']-1]['lang']?>" value="<?=$row['name']?>"
					data-validation="length"
					data-validation-length="2-255"
					data-validation-error-msg="Mast be between 2-255 charachters" />
		</div>

		<br/>
		<hr/>

		<?php endforeach; ?>

		<div class="form-group">
		<label class="inputLabel">Active</label><br/>
			<input type="radio" name="isactive" id="yes" <?php if($row['isactive']=="1") echo "checked";?> value="1"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="yes" class="inputLabel">Yes</label>
			<input type="radio" name="isactive" id="no" <?php if($row['isactive']=="0") echo "checked";?> value="0"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="no" class="inputLabel">No</label>
		</div>

		<button type="submit" class="button actionButton" name="edit_sbmt" onclick="return confirm('Sure to add?');"><i class="fa fa-save"></i> Save</button>

	</form>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>