<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleftschool.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage Personal Profession</h2>
	</div>
	<div class="headBox">
		<ul class="breadcrumb">
			<li><a href="<?=base_url()?>admin/manage_school_personal_cat">Manage Personal Category</a></li>
			<li><a href="#">Manage professions</a></li>
		</ul>
		<a class="linkButton" href="<?=base_url()?>admin/manage_school_personal_prof/add"><i class="fa fa-plus-circle"></i> Add Record</a>
	</div>

	<table class="itemsTable" border="1">
		<tr>
			<th>ID</th><th>name</th><th>isactive</th><th>Edit</th><th>Delete</th><th>Level</th>
		</tr>
		<?php $i=0; $cnt=count($rows); foreach($rows as $row): ?>
		<tr>
			<td>
				<a href="<?=base_url()?>school_personnel/index/<?=$row[0]['school_id']?>/<?=$row[0]['personal_cat']?>?cat=<?=$row[0]['uId']?>" target="_blank">
					<div><?=$row[0]['level']?></div>
				</a>
			</td>
			<td>
				<div style="max-width:600px;"><a href="<?=base_url()?>admin/manage_school_personal_prof/set_session/<?=$row[0]['uId']?>"><?=$row[0]['name']?> / <?=$row[1]['name']?></a></div>
			</td>
			<td>
				<div><?php if($row[0]['isactive'] == 1){ echo "Yes"; }else{ echo "No"; } ?></div>
			</td>
			<td>
				<a class="linkButton" href="<?=base_url()?>admin/manage_school_personal_prof/edit/<?=$row[0]['uId']?>"><i class="fa fa-edit"></i></a>
			</td>
			<td>
				<a class="linkButton" onclick="return confirm('Sure to delete?');" href="<?=base_url()?>admin/manage_school_personal_prof/delete/<?=$row[0]['level']?>"><i class="fa fa-trash-o"></i></a>
			</td>
			<td>
				<?php if($i != 0): ?>
				<a class="linkButton" href="<?=base_url()?>admin/manage_school_personal_prof/sort_down/<?=$row[0]['level']?>"><i class="fa fa-arrow-circle-o-up"></i></a>
				<?php endif; ?>
				<?php if($i != $cnt-1): ?>
				<a class="linkButton" href="<?=base_url()?>admin/manage_school_personal_prof/sort_up/<?=$row[0]['level']?>"><i class="fa fa-arrow-circle-o-down"></i></a>
				<?php endif;?>
			</td>
		</tr>
		<?php $i++; endforeach; ?>
	</table>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>