<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleftschool.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Edit record</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_school_slider" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>

	<form class="validateForm" action="<?=base_url()?>admin/manage_school_slider/editslide/<?=$sliderdata[0]['uId']?>" method="post">

		<div class="form-group">
			<label class="inputLabel">Type</label><br/>
				<input type="radio" name="type" value="1" id="image" <?php if($sliderdata[0]['type'] == 1){echo "checked";} ?>
					data-validation="required"
					data-validation-error-msg="Must choose one" checked />&nbsp;<label for="image" class="inputLabel">image</label>
				<input type="radio" name="type" value="2" id="video" <?php if($sliderdata[0]['type'] == 2){echo "checked";} ?>
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="video" class="inputLabel">video</label>
		</div>
		<div class="form-group">
			<label class="inputLabel">Select Image</label><br/>
			<?php if(!empty($sliderdata[0]['img'])){ ?> <img src="<?=$sliderdata[0]['img']?>" width="300px;" /><br/> <?php } ?>
	        <input id="xImagePath" class="input smallInput" name="ImagePath" type="text" value="<?=$sliderdata[0]['img']?>" />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath' );" />
		</div>
		<div class="form-group">
			<label class="inputLabel">Link (blank</label>
				<input type="radio" name="blank" value="1" id="blank" <?php if($sliderdata[0]['blank'] == 1){echo "checked";} ?> />
				&nbsp;<label for="blank" class="inputLabel">yes</label>
				<input type="radio" name="blank" value="2" id="noBlank" <?php if($sliderdata[0]['blank'] == 2){echo "checked";} ?> />
				&nbsp;<label for="noBlank" class="inputLabel">no)</label>
			<br/>
			<input type="text" id="link" class="input smallInput" name="link" value="<?=$sliderdata[0]['link']?>" 
					data-validation="length"
					data-validation-length="max255"
					data-validation-error-msg="Max 255 charachters" />
		</div>
		<div class="form-group youtubeBox" style="display:none;">
			<label class="inputLabel">Youtube</label><br/>
			<input type="text" id="youtube" class="input smallInput" name="youtube" value="<?=$sliderdata[0]['youtube']?>" 
					data-validation="length"
					data-validation-length="max255"
					data-validation-error-msg="Max 255 charachters" />
		</div>

		<br/>
		<hr/>
		<br/>

		<?php foreach ($sliderdata as $row): ?>

			<div class="form-group">
				<label class="inputLabel">Title - <?=$langs[$row['lang']-1]['lang']?></label><br/>
				<input type="text" class="input smallInput" name="title-<?=$langs[$row['lang']-1]['lang']?>" value="<?=$row['title']?>" />
			</div>
			<div class="form-group">
				<label class="inputLabel">Caption - <?=$langs[$row['lang']-1]['lang']?></label><br/>
				<textarea class="input textAreaInput ckeditor" name="caption-<?=$langs[$row['lang']-1]['lang']?>">
					<?=$row['caption']?>
				</textarea>
			</div>
			<div class="form-group">
			<label class="inputLabel">Active - <?=$langs[$row['lang']-1]['lang']?></label><br/>
				<input type="radio" name="isactive-<?=$langs[$row['lang']-1]['lang']?>" id="yes-<?=$langs[$row['lang']-1]['lang']?>" <?php if($row['isactive']=="1") echo "checked";?> value="1"
						data-validation="required"
						data-validation-error-msg="Must choose one" />&nbsp;<label for="yes-<?=$langs[$row['lang']-1]['lang']?>" class="inputLabel">Yes</label>
				<input type="radio" name="isactive-<?=$langs[$row['lang']-1]['lang']?>" id="no-<?=$langs[$row['lang']-1]['lang']?>" <?php if($row['isactive']=="0") echo "checked";?> value="0"
						data-validation="required"
						data-validation-error-msg="Must choose one" />&nbsp;<label for="no-<?=$langs[$row['lang']-1]['lang']?>" class="inputLabel">No</label>
			</div>

			<hr/>

		<?php endforeach; ?>
				
		<button type="submit" class="button actionButton" name="edit_slider_sbmt" onclick="return confirm('Sure to edit?');"><i class="fa fa-save"></i> Save Changes</button>

	</form>

<script>
$(document).ready(function(){

	if($('#video').is(':checked')){
		$(".hideLink").css("display","none");
		$(".youtubeBox").css("display","block");
	}else{
		$(".hideLink").css("display","block");
		$(".youtubeBox").css("display","none");
	}

	$('#image,#video').click(function() {

   		if($('#video').is(':checked')){
   			$(".hideLink").css("display","none");
   			$(".youtubeBox").css("display","block");
   		}else{
   			$(".hideLink").css("display","block");
   			$(".youtubeBox").css("display","none");
   		}

	});

});
</script>
<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>