<?php require("after_body.php");?>

<script type="text/javascript">	
$(document).ready(function(){
    var url = config.base + "manage_main_nav/get_json";
    $.ajax({
        url: url,
        type: "POST",
        data: ({
             title: $("#t_addnew").val()
        }),
        success: function(data) {
            var items = $.parseJSON(data);
            var k = 1,
                c = items.length,
                j, nestedhtml = '';
               
            $.each(items, function(i, item) { // 
                if(item.title != ""){
                	
                if (item.depth < 3) {
                    if (item.depth == j) {
                        nestedhtml += '</li>';
                    } else if (parseInt(item.depth) >= j) {
                        var tmp = $(nestedhtml).find('a').last().html();
                        var test = $(nestedhtml).find('a').last().html('<span>'+tmp+'</span><i class="fa fa-caret-down"></i>');
                        nestedhtml = nestedhtml.replace(tmp,test[0].innerHTML);
                        nestedhtml += '<ul>';
                    } else if (parseInt(item.depth) < j) {
                        nestedhtml += Array(Math.abs(parseInt(item.depth) - parseInt(j + 1))).join('</li></ul>') + "</li>";
                    } 
                    var blank = '';
                    if(item.target==1){
                    	blank = 'target="_blank"';
                    }
                  
                    if(item.link != ""){
                        nestedhtml +='<li><a '+blank+' class="mainNavLinks" href="'+ item.link + '">' + item.title + '</a>';
                    }
                    else{
                        nestedhtml +='<li><a '+blank+' class="mainNavLinks" href="'+config.base +'menu_content/index/'+item.id+'">' + item.title + '</a>';
                    }
                    if (k == c) {
                        nestedhtml += Array(Math.abs(parseInt(item.depth) - 1)).join('</li></ul>') + "</li>"
                    };
                    k++;
                    j = parseInt(item.depth);
                }
                };
            });
            $('#main_menu').html(nestedhtml); 
        }
    });      
	
});
</script>

<div class="headWrapp mainHead">

	<header class="headSection">

		<figure class="figure1 centerV">

			<div class="mainLogo"><a href="<?=base_url()?>"><img src="<?=base_url()?>assets/img/grunilogo.png" width="100%" height="100%" alt="გრიგოლ რობაქიძის სახელობის უნივერსიტეტიs ლოგო"/></a></div>

			<h1 class="universityName">
				<?php if($this->session->userdata('lang')==1) {
					echo "გრიგოლ რობაქიძის სახელობის";
				}else{
					echo "<span style='font-size:17px;'>Grigol Robakidze</span>";
					}
				?>
				<br/>
				<span class='university'>
					<?php if($this->session->userdata('lang')==1) { echo "უნივერსიტეტი"; }else{ echo "University"; } ?>
				</span>
			</h1>

		</figure>

		<div class="div1">

			<div class="searchContainer">

				<form action="<?=base_url()?>search/news" method="get" class="searchBox">

				    <input id="search" type="text" placeholder="<?php if($this->session->userdata('lang')==1) { echo 'ძიება'; }else{ echo 'Search'; } ?>" name="search" class="searchBox-input" onkeyup="buttonUp();" autocomplete="off">

				    <input type="submit" class="searchBox-submit" value="" />

				    <span class="searchBox-icon"></span>

				    <div class="searchedBox">

				    	<!-- ძიების შედეგები -->

				    </div>

				</form>

			</div>

            <script>
            var register_button = config.base +"main/get_register_button";
            $.ajax({
                url: register_button,
                type: "POST",
                success: function(data) {
                    var items = $.parseJSON(data);
                    if(items.active == 0) { $("#registerBtnBox").hide(); }
                    if(config.language == "1"){
                        title = items.title_geo;
                    } else {
                        title = items.title_eng;
                    }
                    $("#registerBtnBox").html(title);
                    $("#registerBtnBox").parent("a").attr("href", "<?=base_url()?>" + items.link);
                }
            });
            </script>
            <a href=""><button id="registerBtnBox"><!-- survey register button --></button></a>

			<div class="autorizationBox">
				<?php if(!$this->session->userdata('gruni_user_logged_in')) : ?>
				<button type="button" class="authorization" title="<?php if($this->session->userdata('lang')==1) { echo 'რეგისტრაცია/ავტორიზაცია'; }else{ echo 'Register/Auth'; } ?>"></button>

                <form method="post" action="<?=base_url()?>user" class="authorizationSlide">

                	<select class="userType" name="type">

                		<option value="0" selected="selected"><?php if($this->session->userdata('lang')==1) { echo 'პედაგოგი'; }else{ echo 'Teacher'; } ?></option>

                		<option value="1"><?php if($this->session->userdata('lang')==1) { echo 'ადმინისტრატორი'; }else{ echo 'Administrator'; } ?></option>

                		<option value="2"><?php if($this->session->userdata('lang')==1) { echo 'ოფის მენეჯერი'; }else{ echo 'Office manager'; } ?></option>

                		<option value="4"><?php if($this->session->userdata('lang')==1) { echo 'სტუდენტი'; }else{ echo 'Student'; } ?></option>

                	</select>

                    <input type="text" class="username" name="user" placeholder="<?php if($this->session->userdata('lang')==1) { echo 'პირადი ნომერი'; }else{ echo 'Private Number'; } ?>">   

                    <input type="password" class="password" name="password" placeholder="<?php if($this->session->userdata('lang')==1) { echo 'პაროლი'; }else{ echo 'Password'; } ?>">
                    <?php if($this->input->get('login') == 'failed'):?>
                    	<p class="loginFailed"><?php if($this->session->userdata('lang')==1): ?> მონაცემები არასწორია! <?php else :?> Incorrect Input!  <?php endif; ?></p>
                	<?php endif;?>
                    <button type="submit" class="loginBtn" name=""><?php if($this->session->userdata('lang')==1) { echo 'შესვლა'; }else{ echo 'Login'; } ?> <span class="loginRsaquo">&rsaquo;</span></button>

                </form>
           	 	<?php else : ?>
           	 		<button type="button" class="logout" title="<?=$this->session->userdata('gruni_user_name');?>" onclick="location.href='<?=base_url()?>user/logout'"></button>
           	 	<?php endif; ?>
			</div>

			<div class="languages"><a href="<?=base_url()?>main/change_lang/1">Geo</a><a href="<?=base_url()?>main/change_lang/2">Eng</a></div>

		</div>

		<br/>

		<nav  class="mainNav">
		

			 <ul id="main_menu" class="mainNavUl">

			</ul> 

		</nav>

		

	</header>

</div>

<div class="fixedHeadHelper"></div>