<script>
jQuery(function($) {
	var fixmeTop = $('.menu-box').offset().top;
	$(window).scroll(function() {
	    var currentScroll = $(window).scrollTop();
	    if (currentScroll >= fixmeTop) {
	        $('.menu-box').css({
	            position: 'fixed',
	            top: '0',
	            marginLeft: 'auto',
	            marginRight: 'auto',
	            right: '0',
	            left: '0'
	        });
	        $('.schoolFixedHeader').css('height', '67px');
	    } else {
	        $('.menu-box').css({
	            position: 'static'
	        });
	        $('.schoolFixedHeader').css('height', '0px');
	    }
	});
});

</script>

<script type="text/javascript">	
$(document).ready(function(){
    var url = config.base + "manage_main_nav/get_school_json";
    var id = window.location.href;
    id = id.substr(id.lastIndexOf("/")+1,id.length); 
    $.ajax({
        url: url,
        type: "POST",
        data: ({
             id: id
        }),
        success: function(data) {
            var items = $.parseJSON(data);
            var k = 1,
                c = items.length,
                j, nestedhtml = '';
            $.each(items, function(i, item) { // 
                if (item.depth == j) {
                    nestedhtml += '</li>';
                } else if (parseInt(item.depth) > j) {
                    var tmp = $(nestedhtml).find('a').last().html();
                    var test = $(nestedhtml).find('a').last().html(tmp+'<span class="arrow">More Link</span>');
                    nestedhtml = nestedhtml.replace(tmp,test[0].innerHTML);
                    nestedhtml += '<ul class="sublist">';

                } else if (parseInt(item.depth) < j) {
                    nestedhtml += Array(Math.abs(parseInt(item.depth) - parseInt(j + 1))).join('</li></ul>') + "</li>";
                } 
                var blank = '';
                if(item.target==1){
                    blank = 'target="_blank"';
                }
                if(item.link != ""){
                	nestedhtml +='<li><a '+blank+' class="nav-title" href="' + item.link + '">' + item.title + '</a>';
                }
            	else if(item.title != ""){		
                	nestedhtml +='<li><a '+blank+' class="nav-title" href='+config.base +'school_menu_content/index/'+item.id+'/'+id+'>' + item.title + '</a>';
                }
                if (k == c) {
                    nestedhtml += Array(Math.abs(parseInt(item.depth) - 1)).join('</li></ul>') + "</li>"
                };
                k++;
                j = parseInt(item.depth);
            });
            $('#school_menu').html(nestedhtml); 

            $.each($('#school_menu > li'), function(i, item) { // 
            	if($(item).find("ul").length == 2){
            		$($(item).find("ul")[1]).removeClass('sublist');
            		$($(item).find("ul")[1]).addClass('subsublist');
            	}
            });
        }
    });      
});
</script>

<style>
.menu-box { background-color: <?=$header['hcolor'];?>!important; }
.school-banner {
    border-top: 7px solid <?=$header['bcolor'];?>;
    border-bottom: 7px solid <?=$header['bcolor'];?>;
}
header nav#topmenu ul li:hover ul.sublist { background-color: <?=$header['mcolor'];?>!important; }
</style>

<header class="schools-head">

        <div class="fixed-auth-lang-box">
            <div class="autorizationBox">
                <?php if(!$this->session->userdata('gruni_user_logged_in')) : ?>
                <button type="button" class="authorization" title="რეგისტრაცია/ავტორიზაცია"></button>
                <form method="post" action="<?=base_url()?>user" class="authorizationSlide" style="display: none;">
                    <select class="userType" name="type" title="">
                        <option value="0" selected="selected">პედაგოგი</option>
                        <option value="1">ადმინისტრატორი</option>
                        <option value="2">ოფის მენეჯერი</option>
                        <option value="4">სტუდენტი</option>
                    </select>
                    <input type="text" class="username" name="user" placeholder="პირადი ნომერი" title="">   
                    <input type="password" class="password" name="password" placeholder="პაროლი" title="">
                    <button type="submit" class="loginBtn" name="">შესვლა <span class="loginRsaquo">›</span></button>
                </form>
                <?php else : ?>
                    <button type="button" class="logout" title="<?=$this->session->userdata('gruni_user_name');?>" onclick="location.href='<?=base_url()?>user/logout'"></button>
                <?php endif; ?>
            </div>
            <div class="languages"><a href="<?=base_url()?>main/change_lang/1">Geo</a><a href="<?=base_url()?>main/change_lang/2">Eng</a></div>	
        </div>

        <div class="menu-box">

            <div class="menu" id="top"> 

                <nav class="schools-nav cl-effect-21" id="topmenu">

                    <ul id="school_menu">

                        

                        

                    </ul>

                </nav>  



			</div>

		</div>

		<div class="schoolFixedHeader"></div>

		<div class="school-banner" style="background:url('<?=$header['header'];?>') no-repeat;background-size:cover;">

			<div class="school-banner-content">

				<a href="<?=base_url()?>schools/index/<?=$header['school_id']?>">
				
					<img class="school-logo" src="<?=$header['logo'];?>"></a>

					<h2 class="school-title"> <a href="<?=base_url()?>schools/index/<?=$header['school_id']?>"><?=$title['title'];?></a> </h2>

			</div>

		</div>

</header>