<!DOCTYPE html>
<html lang="en">
<head>
	<?php $this->load->view("site/blocks/head.php"); ?>
	<title>
        <?php if($this->session->userdata('lang')==1) { echo "კონტაქტი"; }else{ echo "Contact"; } ?>
    </title>
</head>
<body>
<div class="overlay-back"></div>
<div id="wrapper">
<?php $this->load->view("site/blocks/header.php"); ?>
<div id="contactWrap">
<div id="print">

	<ul class="breadcrump">
		<li>
			<a href="<?=base_url()?>">
				<?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?>
			</a>
		</li>
		<img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
		<li>
			<?php if($this->session->userdata('lang')==1) { echo "კონტაქტი"; }else{ echo "Contact"; } ?>
		</li>
	</ul>

	<div>
		<div class="leftContent">
			<!-- <dl class="contactInfo">
				<?php foreach ($contact as $row): ?>
			  	<dt><i class="fa fa-map-marker contactIcon"></i> <?=$row['address']?></dt>
				  	<?php if(!empty($row['mail'])){ ?>
				  	<dd>
				  		<?php if($this->session->userdata('lang')==1) { echo "ელ-ფოსტა:"; }else{ echo "Mail:"; } ?>
				  		<?=$row['mail']?>
				  	</dd>
				  	<?php } ?>

				  	<?php if(!empty($row['phone'])){ ?>
				  	<dd>
				  		<?php if($this->session->userdata('lang')==1) { echo "ტელ:"; }else{ echo "Phone:"; } ?>
				  		<?=$row['phone']?>
				  	</dd>
				  	<?php } ?>

				  	<?php if(!empty($row['fax'])){ ?>
				  	<dd>
				  		<?php if($this->session->userdata('lang')==1) { echo "ფაქსი:"; }else{ echo "Fax:"; } ?>
				  		<?=$row['fax']?>
				  	</dd>
				  	<?php } ?>

				<?php endforeach; ?>
			</dl> -->


			<div class="contact-page-header">
				<h1>
					<?php if($this->session->userdata('lang')==1) { echo "მოგვწერეთ"; }else{ echo "Contact us"; } ?>
				</h1>
				<div class="contact-page-socials">
					<div class="container">
						<div class="row">
							<a href="http://www.facebook.com/almamateri" title="Facebook Tbilisi">
								<i class='fa fa-facebook fa-lg'></i>
							</a>
							<a href="https://twitter.com/Gruniedu" title="Twitter">
								<i class='fa fa-twitter fa-lg'></i>
							</a>
							<a href="https://plus.google.com/+GruniEduGe1992" title="Google Plus">
								<i class='fa fa-google-plus fa-lg'></i>
							</a>
							<a href="https://www.youtube.com/user/grunieduge" title="Youtube">
								<i class='fa fa-youtube fa-lg'></i>
							</a>
							<a href="https://www.facebook.com/gruni.batumi" title="Facebook Batumi">
								<i class='fa fa-facebook fa-lg'></i>
							</a>
						</div>
					</div>
					<span><?php if($this->session->userdata('lang')==1) { echo "კონტაქტი"; }else{ echo "Contact"; } ?>:</span>
				</div>
				<form method="post" action="<?=base_url()?>contact" class="contact-page-mail">
					<div class="contact-page-mail-left">
						<h3><?php if($this->session->userdata('lang')==1) { echo "სახელი, გვარი"; }else{ echo "Name, surname"; } ?></h3>
						<input type="text" name="name">
						<h3><?php if($this->session->userdata('lang')==1) { echo "ელექტრონული ფოსტა"; }else{ echo "E-mail"; } ?></h3>
						<input type="text" name="email">
						<h3><?php if($this->session->userdata('lang')==1) { echo "თემა"; }else{ echo "Subject"; } ?></h3>
						<input type="text" name="subject">
					</div>
					<div class="contact-page-mail-right">
						<h3><?php if($this->session->userdata('lang')==1) { echo "შეტყობინება"; }else{ echo "Message"; } ?></h3>
						<textarea name="msg"></textarea>
						<button type="submit" name="sendMail"><?php if($this->session->userdata('lang')==1) { echo "გაგზავნა"; }else{ echo "Send"; } ?></button>
						<?php if(isset($mailSent) && $mailSent == 1){
							if($this->session->userdata('lang')==1) { echo "<p class='mailSentAlert'>შეტყობინება წარმატებით გაიგზავნა!</p>"; }
							else{ echo "<p class='mailSentAlert'>Mail successfully sent!</p>"; }
						} ?>
					</div>
				</form>
			</div>
		<div class="clear"></div>
		</div>

		<div class="rightContent">
			
			<div class="rightMenu">
			  <ul>
			    <li class="dropdown">
			      	<a href="<?=base_url()?>contact" data-toggle="dropdown">
			      		<?php if($this->session->userdata('lang')==1) { echo "კონტაქტი"; }else{ echo "Contact"; } ?>
			      	<i class="icon-arrow"><i class="fa fa-caret-down"></i></i>
			      	</a>
			      	<ul class="dropdown-menu show">
			      		<?php foreach ($contact_list as $row): ?>
			        		<li>
			        			<a href="<?=base_url()?>contact/contact_list/<?=$row['uId']?>"><?=$row['title']?></a>
			        		</li>
			        	<?php endforeach; ?>
			      	</ul>
			    </li>
			  </ul>
			</div>

		</div>
		<div class="clear"></div>
	</div>

	

</div>

</div>

<div class="contactFoot">

	<div class="contactMap">
		<div class="contact-page-info">
			<div class="contact-page-info-left">
				<i class="fa fa-map-marker"></i>
				<p><span><?php if($this->session->userdata('lang')==1) { echo "თბილისი"; }else{ echo "Tbilisi"; } ?></span>
					<!-- <a href="javascript:google.maps.event.trigger(gmarkers[0],'click');"><?php if($this->session->userdata('lang')==1) { echo "ჯანო ბაგრატიონის 6,"; }else{ echo "Jano Bagrationi Street, 6,"; } ?></a><br/> -->
					<a href="javascript:google.maps.event.trigger(gmarkers[0],'click');"><?php if($this->session->userdata('lang')==1) { echo "დავით აღმაშენებლის ხეივანი მე-13 კმ."; }else{ echo "David Agmashenebeli Street, 13"; } ?></a>
				</p>
				<i class="fa fa-map-marker"></i>
				<p><span><?php if($this->session->userdata('lang')==1) { echo "ბათუმი"; }else{ echo "Batumi"; } ?></span>
					<a href="javascript:google.maps.event.trigger(gmarkers[1],'click');"><?php if($this->session->userdata('lang')==1) { echo "დავით აღმაშენებლის ქ. 13"; }else{ echo "David Agmashenebeli Street 13"; } ?></a>
				</p>
			</div>
			<div class="contact-page-info-right">
				<i class="fa fa-phone-square"></i>
				<p>
					<span><?php if($this->session->userdata('lang')==1) { echo "ტელეფონი:"; }else{ echo "Phone:"; } ?></span>
					(+995 32) 2384406, (+995 32) 2382706
				</p>
				<i class="fa fa-fax"></i>
				<p>
					<span><?php if($this->session->userdata('lang')==1) { echo "ფაქსი:"; }else{ echo "Fax:"; } ?></span>
					(+995 32) 2384406
				</p>
				<i class="fa fa-envelope"></i>
				<p>
					<span><?php if($this->session->userdata('lang')==1) { echo "ელ-ფოსტა:"; }else{ echo "Mail:"; } ?></span>
					<a href="mailto:info@gruni.edu.ge" target="_blank">info@gruni.edu.ge</a>
				</p>
			</div>
		</div>
		<!-- <iframe src="https://www.google.ge/maps?source=tldsi&hl=ka"></iframe> -->

<!-- <?php foreach ($contact as $row): ?>
    ['<?=$row["address"]?>', <?=$row["coordx"]?>, <?=$row["coordy"]?>, '../../../assets/img/google-map-point.png'],
<?php endforeach; ?> -->

<script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=false"></script>
<script type="text/javascript">
var gmarkers = [];
function initialize() {
    
        var mapOptions = {
    		zoom: 8,
    		center: new google.maps.LatLng(42.064996, 43.271928),
    		mapTypeId: google.maps.MapTypeId.ROADMAP
 		}
  		var map = new google.maps.Map(document.getElementById("googlemap"), mapOptions);


        var locations = [

    		['<?php if($this->session->userdata("lang")==1) { echo "თბილისი, დავით აღმაშენებლის ხეივანი მე-13 კმ."; }else{ echo "David Agmashenebeli Street, 13"; } ?>', 41.7919256, 44.7757265, '../../../assets/img/google-map-point.png'],
    		['<?php if($this->session->userdata("lang")==1) { echo "ბათუმი, დავით აღმაშენებლის ქ. 13"; }else{ echo "David Agmashenebeli Street, 13"; } ?>', 41.6254203, 41.6189113, '../../../assets/img/google-map-point.png'],

        ];
    

        var marker, i;
        var infowindow = new google.maps.InfoWindow();


        google.maps.event.addListener(map, 'click', function() {
            infowindow.close();
        });


        for (i = 0; i < locations.length; i++) {
            marker = new google.maps.Marker({
                position: new google.maps.LatLng(locations[i][1], locations[i][2]),
                map: map,
                icon: locations[i][3]
            });
            gmarkers.push(marker);


            google.maps.event.addListener(marker, 'click', (function(marker, i) {
                return function() {
                    infowindow.setContent(locations[i][0]);
                    infowindow.open(map, marker);
                }
            })(marker, i));
        }

    }
    google.maps.event.addDomListener(window, 'load', initialize);
</script>
<div id="googlemap" style="width: 100%; height: 500px;"></div>

		</div>
		


		</div>
	</div>
</div>

<script>
/*function printContent(el){
	var restorepage = document.body.innerHTML;
	var printcontent = document.getElementById(el).innerHTML;
	document.body.innerHTML = printcontent;
	window.print();
	document.body.innerHTML = restorepage;
}

$(document).ready(function() {
	$('#incfont').click(function(){ 
	    curSize= parseInt($('.contactInfo').css('font-size')) + 2;
	if(curSize<=20)
	    $('.contactInfo').css('font-size', curSize);
	});  
	$('#decfont').click(function(){    
	    curSize= parseInt($('.contactInfo').css('font-size')) - 2;
	if(curSize>=12)
	    $('.contactInfo').css('font-size', curSize);
	}); 
});*/
</script>

<?php require("blocks/footer.php");?>

</body>
</html>