<!DOCTYPE html>
<html lang="en">
<head>
    <?php $this->load->view("site/blocks/head.php"); ?>
    <title><?php if($this->session->userdata('lang')==1) { echo "ძიება"; }else{ echo "Search"; } ?></title>
    <link rel="stylesheet" type="text/css" href="<?=base_url()?>assets/css/animate.css">
</head>
<body>
<div id="wrapper">
<?php $this->load->view("site/blocks/header.php"); ?>
<div class="overlay-back"></div>
<div class="pageWrap">

    <ul class="breadcrump">
        <li>
            <a href="<?=base_url()?>">
                <?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?>
            </a>
        </li>
        <img class="breadcrump-arrow" src="<?=base_url()?>/assets/img/chevron-down.png">
        <li>
            <?php if($this->session->userdata('lang')==1) { echo "ძიება"; }else{ echo "Search"; } ?>
        </li>
       
    </ul>

    <?php $this->load->view("site/blocks/search_menu.php"); ?>

    <div class="searchResultsWrap">
        <?php foreach ($content as $value): ?>
        <figure class="searchResAnItem">
            <a href="<?=base_url()?>main/announce/<?=$value['uId']?>">
                <div class="searchResAnItemDate">
                    <p style="font-size:16px;line-height:16px;"><?=$access->get_day($value['date']);?></p> <p style="font-size:12px;"><?=$access->get_month($value['date']);?></p>
                </div>
                <figcaption class="searchResAnItemFig"><?=$value['title']?> </figcaption>
            </a>
            <div class="clear"></div>
        </figure>
        <?php endforeach;?>

    <div class="clear"></div>
    </div>

</div>
<script>


$(document).ready(function(){
    $( ".searchResAnItem:nth-child(4n+4)" ).addClass( "columnLast" );
});

$('.searchResAnItemFig').ellipsis({ responsive: true });

$(window).load(function(){
    $(".galleryLoader").fadeOut("fast");
});

$(window).bind("load", function() {

    $('.galleryAlbumWrap, .searchResAnItem').addClass('animated flipInX');

});
</script>
<?php require("blocks/footer.php");?>
</body>
</html>